Rainlendar2 Changes
-------------------
[2.21.1 Build 178]
o The default iCalendar showed "Unregistered" texts if the license was not installed.

[2.21.0 Build 177]
o Changing the recurrence type did not always reveal the additional controls.
o Timezone identifiers don't have the build-in prefix anymore.
o Category editor now lists also the skin's categories.
o Added "[None]" option to category editor for calendar day appearance in Shadow4 skin which can be used to display the icon only.
o Added a check to prevent tooltip from opening if the mouse has been moved outside the target rectangle.
o Deleting items in the manager window keeps the current search filter.
o Improved the recurring event delete handling when polling for changes in Google Calendar.
o Changed the printing to create a template based HTML page and open it in a browser.
o Shadow4 skins calendars can show background.
o The global skin variables with boolean type are shown in the context menu.
o Office 365 calendar uses now Microsoft Graph API.
o Added support for Microsoft To Do.

[2.20.1 Build 176]
o When edited the tasks were always set as "all day" even if they were previously set with a time.
o Empty attachment property was added to events for calendars which did not support attachments.
o Additional tab in the editor is hidden if it has no fields.
o Authentication tokens between online calendars get mixed up when the same email address was used.

[2.20.0 Build 175]
o Improved the compatibility with CalDAV servers.
o Rainlendar_SetItemValue applies to all windows if multiple are active from the same skin.
o Alarm date was calculated incorrectly for last day of the month recurring events with interval > 1.
o It's now possible to customize the event and task editors in Options->Advanced->"Customize event/task editor fields"
o On Linux the windows should not pop up in front anymore when they are redrawn.
o Cursor keys on quick add editor don't change the months in the calendar anymore.
o Exception dates for recurring events now work even if they are defined before the original event in the ics file.
o "Show descriptions" in manager view menu was not working.
o Error message is not shown anymore if the network connection is down when reading items. Rainlendar will automatically retry after a while.
o '~' character doesn't break embedded urls anymore.
o Keyboard focus didn't work in message boxes.
o Added "Previous location list order" to advanced options.
o Updated Google Calendar color map to match color names on the Google's website.
o Double quotes ("") can be used in the Manager to search for empty values (e.g. 'category:""' or 'category:!""' for the inverse search)
o Tooltip can show the next alarms for tasks and events (enable it from Options->Advanced->Event/task fields in tooltip)

[2.19.2 Build 174] - 14 Apr 2023 - Version 2.19.2
o Some UTF-8 encoded strings were not shown correctly.
o The event submenu did not have a title when full menus were enabled.
o Chromophore skin now has Windows 11 style dark and light versions.
o On Linux the time was incorrectly saved as local time instead UTC.
o The language name for Simplified Chinese was incorrect so the skin did not change the language automatically.
o Attachment was saved as TEXT property.
o Dragging the scrollbar is now more responsive.
o The time zones for Office 365 calendar shows the offsets.
o Tasks saved to Outlook include now also the date completed property.
o Exceptions to recurring events were not set correctly to the original event.

[2.19.1 Build 173] - 02 Feb 2023 - Version 2.19.1
o The task editor showed incorrect status
o When German language was selected it was not possible to enter 's' characters.
o The skin did not change language automatically to match the application language.
o Changing the start time of a task when the dates were linked did not update the due time.
o "Move to next day" set the end time one day too far. The menu item is now also available in calendar's context menu.
o Installer should now detect running Rainlendar again and close it.
o The category dropdown was not fully shown in the editors.
o Updated the taskbar icon on Mac.

[2.19.0 Build 172] - 14 Jan 2023 - Version 2.19.0
o Improved the manager list's performance
o The date and time fields work better with larger fonts.
o Ctrl + left mouse opens the context menu on Mac.
o Recurrence rule is removed from exception events (if it exists)
o New API function: Rainlendar_GetLocale()
o Added [White] and [Transparent] categories to the Shadow4 skin
o Generic list and its tooltips can contain images ("list.1.image" and "list.1.tooltipImage")
o Improvements to UI when using dark themes in Linux.
o Added "Day background" setting to Shadow4 skin which adds a background to the day numbers to make them easier to click.
o The icons in calendar days don't overlap other days so easily anymore.
o Updated all 3rd party libraries

[2.18.0 Build 171] - 13 May 2022 - Version 2.18.0
o Improved how focus works in event/task editor.
o Fixed crash bug when right clicking on the task list.
o Lock file doesn't use hard coded temp folder anymore.
o Added suppport for "None" status in the tasks.
o Resizing window with scale factor did not work correctly.
o Opening time zone selector is faster now.
o Monitoring changes in local ics file triggered update when making changes in Rainlendar.
o Improved error messages for invalid licenses.
o The tray icon is shown correctly in macOS.
o Alarm for weekly recurring events that defined timezone was not shown on the correct day.
o Exception date automatically shows the next recurring date when the event is opened from the manager.
o Last item of recurring Outook events was not shown.
o Office 365 authentication page showed success even when authentication failed.

[2.17.1 Build 170] - 08 Oct 2021 - Version 2.17.1
o Fixed crash bug when opening the context menu in lists outside of an event/task.
o Fixed performance issue when opening the time zone selector map multiple times.
o The time zone can be selected for the Toodledo calendar.
o The default scale quality is now high.
o It was possible to open the settings dialog for the same window multiple times.

[2.17.0 Build 169] - 18 Sep 2021 - Version 2.17
o Google calendar and Office365 events show meeting link in the url field.
o Meeting attendees from Google Calendar and Office365 are shown in the tooltip.
o All day task shown in the calendar were displayed on two days.
o Timezone map shows offsets in the list.
o Polling changes from iCloud returned 503 from the server.
o Added "Move to next day" to context menu for single events and tasks.
o New advanced option: "Use today and tomorrow" when displaying the dates e.g. in the task list.
o Office365 descriptions were shown as read-only after created/edited.
o All day events which span across multiple weeks showed the description only on the first week.
o Deleting single instance of a multiday recurring event only worked if the first day was selected.
o Proxy user and password were not properly encoded so special characters could cause connection errors.

[2.16.1 Build 168] - 19 Mar 2021 - Version 2.16.1
o Default event duration is not applied to events created with quick add.
o Import from command line without --import parameter was broken.
o If CalDAV calendars did not have display name they were ignored.
o Last day of a all day task was not shown in the calendar.
o --quiet command line argument now suppresses the multiple instance dialog at startup.
o Changed the private checkbox in the editors to a select with default value.
o If CalDAV server doesn't send the calendar names as reponse Rainlendar will use the last part of the href instead as the name.
o If the given CalDAV url contains events (*.ics files) Rainlendar will load those instead of the calendars.
o Changing task state did a full refresh of all windows even when that was not necessary.

[2.16 Build 167] - 05 Feb 2021 - Version 2.16
o Buttons in old ini-format skins were not always visible and profiles were broken.
o All the extra space goes to the text area in task editor.
o Setting "Show tooltip in tray" to NEVER will not show the tooltip even when hovering over the tray icon.
o Tasks with alarms were sometimes shown in the event list.
o The save changes dialog sometimes popped up after successful save if the "Keep editor open until writing succeeds" setting was enabled
o Importing single instances of a recurring event is now possible.
o ics/vcs file import also works even if the file extension is not .ics/.vcs.
o Printing a day range also includes the tasks which are shown in the calendar.
o Events from Office 365 calendar are ordered by the start time when initially requested from the server and by the modified time when polling for changes.
o Recurring events created to Office 365 calendar were using incorrect time zone.
o Added option for Google Calendar to choose what kind of notifications are sent when event is deleted.
o It's possible to filter private and public events in manager with "class:private" and "class:public".
o Added throttling when changing month with the mouse wheel.
o Printing day range did not always include the last day.

[2.15.4 Build 166] - 31 Mar 2020 - Version 2.15.4
o Fixed crash in Linux version when text was drawn on a zero height area.
o Added Rainlendar_GetSkinInfo() API
o Rainlendar could not start automatically in Windows if it was installed to other than C-drive.
o Advanced skin list shows filter icon for windows which have include or exclude filter.
o Improvements to the ini-format skin support.
o The OK button in event and task editor was never re-enabled if saving was done with ctrl+s.
o When polling Remember the Milk's tasks the first task instance was always shown even if it was already completed.

[2.15.3 Build 165] - 11 Feb 2020 - Version 2.15.3
o Skin settings dialog crashed on Linux.
o Moving event to a future day hid it from the calendar.
o Dates were not always saved to Toodledo tasks.
o "Select All" did not enable the buttons in manager.
o Reverted: "Outlook birthdays were sometimes shown in incorrect day" as it was not working correctly.
o Bulk change dialog did not make any changes to the events/tasks if their creation date was set to a future date.
o By default Rainlendar now tries to import the file given as command line argument.

[2.15.2 Build 164] - 27 Dec 2019 - Version 2.15.2
o Office365 calendar crashed if the event contained unsupported unicode characters.
o Authentication code could be overwritten by some other calendar when options dialog was closed.
o Authenticaion failed if multiple calendars tried to get the access token at the same time.
o Disabled the OK button while the event/task is saved and improved the responsivity while saving the event/task.

[2.15.1 Build 163] - 17 Dec 2019 - Version 2.15.1
o Fixed a crash when removing exception dates from a recurring event.
o Deleting event or task from the alarm window will set the exception to the shown event instead current day.
o OAuth2 client id and secret can be overwritten from the settings file.
o Updated the Google API project key. Google Calendar and Tasks need to be re-authenticated.

[2.15 Build 162] - 02 Dec 2019 - Version 2.15
o Added extra check before the offline components are updated to the online server.
o Adding and modifying event while offline created duplicates on the server.
o Fixed the window size in task switcher.
o Added info text to event/task editor if there are no calendars available.

[2.14.3 Build 161] - 04 Nov 2019
o Timezone information was not stored correctly to the offline file so it showed the events in local time after refresh.
o Task list did not show tasks which didn't have start and due date.
o Fixed the header case with CalDAV since some servers did not accept it as all caps.
o Language list in options is sorted.
o Deleted calendars were left in the include/exlude lists.
o Variables shown in the windows menu were not always checked event though they were enabled.

[2.14.3 Build 160] - 09 Oct 2019
o Events from iCloud couldn't be modified in Rainlendar.
o Last instance of a recurring event was not shown if the until date had non.midnight time component.
o Manager's filter supports also inverse operation. Use ! to invert the filter. E.g. "status:!Completed"
o Google Tasks downloaded on 20 tasks from the server.
o Manager can sort events and tasks by creation and modification time
o Resizing was not working correctly if the window was scaled
o Mac build is fully Cocoa & 64-bit for compatibility with Catalina
o Added option to use retina resolution on Mac

[2.14.3 Build 159] - 16 Mar 2019
o Updated openssl and curl libraries
o It was not possible to edit iCloud events which were created from Rainlendar.
o Exceptions in Google events were not parsed correctly.
o Start and end times can be unlocked in the editor.
o Calendar and category selection is remembered only for new events/tasks.
o Moved the everyoneDeclinedDismissed check behind a setting.
o Alarm is not shown if the ACTION is set to NONE.
o Dismiss alarm menu item is also available in the calendar's context menu when there is a single event with alarm on the clicked day.
o Removed appindicator support since the legacy tray icon can be made to work on Ubuntu.
o Added "Default alarm time" advanced option.
o Dragging tasks when the list was scrolled did not work correctly.
o The today window was not shown if the "Hide list windows if there are no items" setting was enabled.

[2.14.3 Build 158] - 27 Jul 2018
o Fixed the status icons in the tray
o Performance improvements when having thousands of events
o Local ICS file reading and writing is threaded
o Authentication to 3rd party services uses the default browser instead the embedded browser
o Outlook birthdays were sometimes shown in incorrect day
o Events automatically created from gmail are marked as read-only
o Google Calendar events with everyoneDeclinedDismissed property are ignored
o Old events are not cleared before they are updated after power resume
o Added more quit-checks while reading the events to make the application quit faster

[2.14.2 Build 157] - 25 May 2018 - Version 2.14.2
o Exclude calendar filter did not work correctly.
o Recurring events could show one extra event.

[2.14.1 Build 156] - 23 Mar 2018 - Version 2.14.1
o Skins layout broke down when using desktop scaling with non-US locale.
o Double clicking on month view caused a crash.
o Solid and gradient colors were drawn incorrectly on the skin windows.
o Saving toodledo task with position and alarm ack failed.
o Fixed a crash bug which happened when options dialog was closed.
o It was not possible to save monthly and yearly recurring events to Office365.

[2.14 Build 155] - 02 Feb 2018 - Version 2.14
o Fixed windows menu when using app indicator.
o iCal recurring events are shown as read only single instances.
o New editor window is not opened anymore if the user edits the same event twice.

[2.14 Build 154] - 12 Jan 2018
o Polling online calendars got broken in the previous build.
o Added advanced option to never show the full menu from the calendar (it is still shown from the tray icon).
o Backslash character did not work in Toodledo tasks.
o Added support for busy and private fields in Office365.
o The body text in Office365 events was always read as html so it was not editable in Rainlendar.
o Attendees are not removed from Google Calendar events if it is edited from Rainlendar.
o Quickadd now takes into account the calendar filters for the window where the quick add edit control is.
o Office365 calendar downloaded only 10 events. There is a setting for the download count now for the calendar.

[2.14 Build 153] - 22 Dec 2017
o Fixed the dock icon in High Sierra
o Linux version could not establish https connections.
o Cmd-C closed the event editor on Mac.
o Weekly recurring event with different time zone was not shown correctly in the calendar.
o Moved font scale setting to the general page on options.
o Network error messages are not shown anymore while polling for changes.

[2.14 Build 152] - 29 Aug 2017
o Relative snooze values did not work in the alarm.
o The startup executable path is not changed unless the file doesn't exist anymore.
o Boolean variables for windows are shown in the context menu.
o Improvements for high DPI screens.
o Calendars are reloaded only if modified when the options are applied
o The task position is storead as meta tag for Toodledo
o Calendar selection is cleared for read only events and tasks
o Removed dependency to libpng12

[2.14 Build 151] - 31 Mar 2017
o Todo date controls were set to year 2001 on Mac.
o Dock icon did not show the correct date on Mac.
o Skin did not use correct language if Traditional Chinese was selected.
o The alarm window has a max height and can be resized horizontally.
o Normal tooltips are disabled in Windows 7.
o Modifying event on yandex.ru's CalDAV calendar gave 500 error.
o Snooze menu shows the target time

[2.14 Build 150] - 02 Oct 2016
o Timezones are matched by the tzid instead the location.
o Alarm would sometimes show incorrect target if the event had multiple alarms.
o Rainlendar could sometimes crash when it refreshed the events and tasks after the computer resumed from sleep.
o Alarm was not shown for the last occurence of a recurring event.
o Fixed the crash problem in macOS Sierra.

[2.14 Build 149] - 12 Jul 2016
o Added VC 2015 runtime to the installer.
o Fixed offset problems with context menu and generic list item.
o Custom categories did not work when the Shadow4 was in large mode.
o Events with active alarms remain in the event list.
o Alarm can be dismissed from the event list.
o Added option to show Rainlendar in the Windows taskbar
o Google Calendar supports now custom audio files
o Added snooze menu and large versions for Savannah and Chromophore

[2.14 Build 148] - 14 May 2016
o Alarms were not sometimes immediately removed from the alarm window after the due date was changed.
o Timezone in the calendar file was not converted correctly to the target zone so Rainlendar sometimes showed incorrect times for events.
o Buttons remained in the options dialog if the tab was changed from the calendars when something was selected in the list.
o Added "Click through" to the window settings dialog
o Edit control was shown for hidden windows if shown from a lua script.
o Dialogs are set to topmost too if the calendar window position is topmost.
o Outlook.com events are read for the next 4 months (which is the server's limit).
o Added option to fade all windows at once with mouse over.
o Some foreign characters were not read correctly from the iCalendar files.
o Refreshing windows that are "On bottom" should not open them on top anymore.
o Mac iCal events were sometimes shown incorrectly as daily instead yearly.
o On right edge the tooltip was opened downwards even though there were more room at the top of the screen.

[2.13.1 Build 147] - 13 Nov 2015 - Version 2.13.1
o Weekly recurring tasks did not show due date correctly if the interval was greater than 1.
o '!'-char broke the links.
o Using %W in time items moved the time to the first day of the week.
o The current language is now stored as a string to settings so that it doesn't accidentally change when upgrading to new version.
o The tooltip is opened always upwards if there is more room.
o Changing months from keyboard works only if no modifiers (shift, alt, control) are down.
o Added check to prevent redraw loop in task and event lists.

[2.13 Build 146] - 09 Sep 2015 - Version 2.13
o Updated build-in languages
o The editor shows the time zone if the event uses different than the calendar.
o Outlook calendar preserves the custom MAPI library path when settings are changed.
o Event and todo editor shows indetermine checkbox for "private" if the calendar doesn't define the value.

[2.13 Build 145] - 26 Jul 2015
o Added advanced option to prevent the alarm from showing if there is a fullscreen window in front.
o The text edit controls were not hidden with the window.
o Double click on the empty text in event list opens now the editor.
o Rightmost column in the schedule was cut by the scrollbar.
o Math parsing failed on some locales when using '.' as the decimal separator.
o Event duration affects the priority of the appearance. I.e shorter events are drawn on top of longer ones.
o Completed date was not saved to non-recurring tasks.
o Manager did not show monthly recurring events correctly in current and upcoming views.
o Moving read-only events or tasks in the manager are copied instead.
o Vertical schedule calendar showed the events in incorrect locations.

[2.13 Build 144] - 03 May 2015
o Manager showed "Dismiss next alarm" menu item for already dismissed alarms.
o Network shared calendar failed to upload the events if the server redirected the request.
o A changed single instance of a recurring Outlook event did not shown correct time
o Added "resizemargin" setting for the xml format skins.
o The link button got hidden when the list window was resized.
o Mac iCal showed yearly recurring events as daily recurring on Yosemite.
o "disableCookies"-setting (in rainlendar2.ini) can be used to disable the authentication cookies in CalDAV.
o Added "Default event duration" setting to the advanced settings.
o Manager's task list shows the subtasks as indended.
o The alarm file can contain "[summary]"-text which gets replaced with the event's summary. "[id]" is replaced with the event id.
o Subscribed Google calendars are automatically set to read-only if the user does not have write permissions.
o Added option to ignore the private events on Google Calendar.
o Copying events from Google Calendar to local did not work.
o The Rainlendar_ShowMenu() supports icons and checkmarks in the menu items.
o A missing settings file can be automatically restored from the latest backup file.

[2.13 Build 143] - 27 Mar 2015
o When windows are shown they are also brought to front.
o Alarm showed start and end time also for all day events.
o Toodledo tokens are shared between calendars.
o Added (limited) support for Outlook.com online calendar.
o Creating new events to CalDAV sometimes wrote them to incorrect folder.
o Linked windows did not reposition when the other window content changed.
o The manager shows the next alarm in the tooltip.
o It's possible to filter only the active alarms in the manager.
o The next alarm can be dismissed from the manager's context menu for the alarm icon.
o Unicode characters in JSON replies (e.g. with Google Calendar) were not always decoded correctly.
o The time zone is not added to single events on Google Calendar if calendar uses local time.
o Collapsing a task brought its subtasks to root.
o Sidebar window draw the event and list items behind the background image.

[2.13 Build 142] - 30 Jan 2015
o Fixed memory corruption issue with libical usage.
o UTC time in the event was incorrectly converted twice to the local time when editing an existing event.
o Network Shared Calendar supports now compressed data from the server.
o Unicode characters were not written correctly to the Outlook appointment body text.
o Added print menu item to the event and task editors.
o QuickAdd parses location after '@' until the next whitespace.
o On higher than HDTV resolution the large version of the calendar can be selected on the first startup.
o Added a workaround for the birthday calendar recurrence problem on Yosemite.
o When creating a Google Calendar event without alarms the default reminders are not added to it automatically anymore.
o The quote characters are not escaped anymore in the iCalendar output to be more compatible with RFC2445.
o Added selections to the manager's edit menu including "Select duplicates" which selects all but one items with same summary text.
o Window positions are saved per screen resolution by default. This can be changed from the advanced setting.
o Full alarm window does not play sound anymore when a single event is dismissed or snoozed

[2.13 Build 141] - 09 Nov 2014
o Added support for CalDAV calendars which do not provide a list of calendars.
o Timezones with negative offset were set incorrectly for Google Calendar.
o Recurring events with exception instances were not read properly from CalDAV server.
o Local time zones were not always found when reading the events even if it was assigned to the calendar from Rainlendar.
o Deleting an instance in Google Calendar did not get updated to Rainlendar if the offline copy was enabled.
o Weekly recurring events on a calendar which defined a time zone were sometimes set on an incorrect day.
o Added option to save the event/task to file right from the editor.
o Polling events from Google calendar caused error 400.
o The Google Calendar events are now requested as gzip compressed to reduce the amount of transferred data.
o Opening the event editor after 23:30 moved the start and end time to the next day.
o Schedule views always show the first line of text even if it doesn't fully fit in the available area.
o Removed the old GooglePlugin since Google dropped the support for the old API.
o Some CalDAV servers returned also the folder when polling for changes which caused "404 not found" error.
o Updated openssl, libcurl and wxwidgets libraries.
o Added alternative authentication method to Google if the build-in browser does not work.
o Events in offline copy were not read correctly if it contained exceptions.
o Added --nolog command line argument to disable logging
o The description text always uses the local codepage when written to Outlook.
o Offline file did not work if the calendar name contained non-ascii characters.

[2.13 Build 140] - 22 Jul 2014
o The turquoise color mapping did not work for the Google calendar.
o Added time zone support for the Google Calendar (v3).
o The digiclock was not updating the window.
o Some settings were not stored permanently.
o Added hide past and dismissed events to the context menu and settings dialog.
o Url and alarm acknowledge were not written to Google's events correctly.
o Week number was not shown correctly if the time format contained other text than '%W'.
o Backups should work better now when they are transferred between computers.
o No sound option for alarms is written to the templates.
o Added button to options to reset the offline copy for calendars which support it.
o "Dismiss all" dismissed only the first item in the alarm.
o Completing a recurring task now always moves it to the next instance. "Complete to now" moves it to the next instance from now (like it did before).
o Editing a Google Calendar event would remove its time zone.
o "Show in all desktops"-setting is now window specific in the configuration file.
o Setting visible="0" for a category appearance did not hide it
o Changed "today" to "todaywindow" to prevent name clash.
o Added setting under task list primary sort order to show the empty items at top.

[2.13 Build 139] - 28 Apr 2014
o Fixes to the free day calendar layout.
o The manager could show current dates for recurring events before the actual start date.
o In advanced skin options it's now possible to move only the default windows to the active list.
o Changed the network and traytip delays to seconds in the settings.
o Failure to read events from Outlook did not always show an error message.
o Changed the way advanced options are handled so that translations won't affect incorrect setting.
o Added "None"-method for Google alarms which disables the default Google Calendar alarms.
o Dragging tasks under different sections in the to do list did not update the item.
o Added option to show the empty days in the event list.
o The default alarm for Outlook events did not dismiss unless the calendar was refreshed.
o It's not possible to use ';'-character in the calendar name since it is a separator when multiple calendars are used.
o The characters on event description were converted to utf-8 in Outlook events.
o Skin windows can be resized with the mouse.
o The EXDATE for events with time is stored as DATE-TIME instead just as DATE.
o Image scaling uses now nearest neighbour algorithm which doesn't give as good results but is much faster. Use Options->Advanced->"Scaling quality" to change the quality.
o Fixed a crash bug in CalDAV when events were using time zones.

[2.12.2 Build 138] - 14 Mar 2014 - Version 2.12.2
o Updated the libical library which should fix the crash problem with Google Calendar.

[2.12.1 Build 137] - 20 Jan 2014 - Version 2.12.1
o The last character was trimmed in some texts in local ics files breaking the text encoding.
o Linux version crashed on Google's authentication.
o The time zone for Google events was not adjusted correctly.
o The events were marked as past a day early if multiday event grouping was set to none.
o Disabled autocompleting combobox for the categories in Linux since the control doesn't support setting the selection.
o Manager shows the number of items currently visible/selected in the list.
o Added possibility to limit the downloaded events by time in the Google calendar v3

[2.12 Build 136] - 28 Dec 2013 - Version 2.12
o "No sound" option was reset to default alarm after refresh.
o The end/due time was always read from the start time field.
o Added possibility to define if the CalDAV server supports events, tasks or both.
o Reading dates from RTM did not do timezone conversion correctly.
o When smartly hidden the today window gets hidden if it doesn't show tasks and only the event list is empty.
o The offline copy was not read immediately after startup.
o Color mapping in Google Calendar did not work correctly when offline copy was enabled.
o Reordering Google subtasks did not work.
o Resetting the dismiss time for tasks was not actually removing the information from the ics file.
o When multiple alarms are triggered at the same time the executable for each of them gets ran.

[2.12 Build 135] - 17 Nov 2013
o The status and priority filters in the manager did not work in other languages.
o The time is now written to the template too (but only if it is changed before the template is saved).
o The drawing order of the skin items can be defined with "zorder".
o The opacity of the background in Shadow4 can be changed from the settings.
o It's possible to disable the alarm sound for a individual event.
o The calendar can be defined with the quickadd by enclosing the name in '[' and ']': e.g. "Summary [Calendar]"
o Added skin info caching for r2skin files which makes the options dialog open faster.
o The today window is activated by default if the skin is selected in the simple mode.
o The font face for the windows can be overridden in Options->Advanced->Font face
o Fixes to the CalDAV support to make it compatible with Synology server.
o Moving tasks as the first item in Google Tasks did not work.

[2.12 Build 134] - 2 Oct 2013
o Added support for the <empty> element for the <list>
o Generic list's "multiline"-attribute was not accessible from lua script.
o The manager and calendar showed incorrect end date to for tasks which did not define the time component.
o Values for the variables were not parsed correctly on locales which used ',' instead '.' as decimal separator.
o Improved the wrapping in the message box.
o Google calendar (v3) can now read more than 2500 events from the server.
o Added next and previous buttons to the Shadow4's Grid Calendar.
o RegisterMenuItems() lua method can be used to add new items to Rainlendar's menu.
o Alarm should not constantly pop in front of other windows anymore if it is not set as topmost.
o Google calendar (v3) accesses the calendars by their id instead the name.
o It's now possible to expand and collapse the subtasks in the todo list.
o Refresh is done automatically after successful skin/addon installation.

[2.12 Build 133] - 17 Aug 2013
o Google calendar's color mapping showed the categories always in English
o The manager shows and filters the snooze and dismiss times for the alarms.
o The alarm snooze/dismiss time can be reset by clicking the alarm icon in the manager.
o Google calendars with '#' in the url were not read correctly from the server.
o Logging unicode characters sometimes caused a failure.
o Changed the CalDAV to send proper etag to the server when editing the events.
o Changing task status to in progress from the dialog did not work.
o The task completed time can be reset by clicking the status icon in the manager.
o Dragging items in schedule view set incorrect time if the area height was set to non-even number.
o Tasks without status property but with completed date are shown as complete status.
o The upcoming, cancelled and completed tasks are hidden by default in the today window.
o The time for the tasks is now optional.

[2.12 Build 132] - 30 Jun 2013
o Disabled RTL layout on controls which do not support it properly.
o The task and event lists can show a text when they are empty.
o Added today window which is shown on startup and when the day changes.
o Google Tasks uses now OAuth for added security (i.e. Rainlendar does not store your Google password anymore).
o New Google calendar plugin which uses the v3 API.
o Added color to category mapping functionality to the new Google calendar plugin.
o The sort button was not updated when switching between tasks and events in the manager.
o Added "useFTPS" setting for SSL FTP connections in Network Shared Calendar. No UI so the settings file needs to be edited manually. 1 = Try using SSL, proceed anyway otherwise. 2 = SSL for the control connection or fail. 3 = SSL for all communication or fail.
o Deleting events from read-only calendar failed silently.
o Deleting multiple items from Outlook only deleted the first one.

[2.12 Build 131] - 19 May 2013
o Added "Event min height" setting for the day and weekviews.
o Chromophore skin has a large calendar window.
o Added colorless and dark versions for the Chromophore skin.
o The message store setting in the new calendar wizard did not get set properly.
o The times were saved incorrectly if the local time was set to British time zone.
o the "uppercase" attribute for the font can convert the text now also to lowercase or capitalize it.
o Lua scripts can be put to the Scripts folder under the config folder too.
o Skin addons can be applied to different skin version (although this might break the skin).
o The time item which shows only the week number is mapped to the first day of the week so that it is the same number as in the calendar.
o The z-position can be set separately for each window in the skin.
o Added advanced option to bring all windows on top when any of them is clicked.
o The hidden Google calendars are also hidden in Rainlendar.
o Tasks were shown on two days in the calendar window.
o The tray icon can now show also the week number (See "Number in tray" advanced setting). Note that this only works if the tray icon image has enough frames.

[2.12 Build 130] - 22 Mar 2013
o Toodledo plugin crashed when polling with offline file enabled.
o The manager can show and search the description field now too.
o All windows can be moved at once by holding shift key down.
o Portable installation uses custom password encoding by default.
o Read-only events and tasks can be now opened to the editor but the changes cannot be saved.
o Added confirmation if all skin windows are activated at once.
o Moved the Google Tasks to a separate plugin.
o Reading long descriptions from Outlook failed.
o Right alt+a selected the text in the description field.
o The expired Toodledo authentication token was not updated if the folder was defined in for the calendar.
o Manager allowed to delete items from read-only calendars.

[2.11.1 Build 129] - 09 Mar 2013 - Version 2.11.1
o Fixed a crash bug if another instance of Rainlendar was started.
o "Number of past days the list shows" was not working.
o Reversing the sorting from the event list's context menu could not be done.
o The font effects did not work for custom categories.
o The tool buttons in the manager adjust to the text width.
o It was not possible to remove calendar selection on Mac if "Allow multiple calendars" was enabled.
o Exporting the events in the manager only worked if the list had selection. Now all events are exported if there is no selection.
o The autocompletion works again in the category combobox.
o The traytip does not gain focus anymore when it is shown.
o Double click on the week or day view always created an all day event.
o The reminders were not read correctly from iCloud with CalDAV.
o The status image was not shown in the tray icon on Windows and Mac.
o Executing lua from command line failed on Linux and Mac.
o Creating a exception to a event in week view by dragging deleted the original event from Google calendar.
o Writing events with no duration to iCloud failed.
o Completing an alarm for non-recurring task in the alarm window did not dismiss it.
o Removed hard dependency to the gnome-keyring library on Linux.
o Backup opened incorrect file dialog in Linux.
o The value for "Poll for changes"-setting in Toodledo was not read correctly.

[2.11 Build 128] - 28 Dec 2012 - Version 2.11
o If the event was set not to be all day with a template the start and end times were not set correctly.
o Fixed a possible crash bug in Outlook plugin.
o The change for "Show tray status icons" setting did not apply.
o CalDAV calendars showed connection error even though the real error was been related to authentication.
o Creating new events to CalDAV calendar on Mac was not possible.
o Manager dialog showed priority icon for tasks which didn't define any priority.
o Changing the sorting in the manager added the new positions to selection moving them.

[2.11 Build 127] - 09 Dec 2012
o Shortcut keys in the message dialog buttons didn't work.
o The manager sometimes crashed when viewing tasks that were in in progress state.
o Filtering in manager's search worked only for the summary field instead all fields.
o Adding new subtasks to Google calendar was not working.
o It's possible to define every second saturday of the month as the weekend day.
o The sorting of the event list can be reversed.
o All text can be selected in the description editor with ctrl+a.
o The digiclock in Shadow4 can have a title text.
o Added screenshots to the help.

[2.11 Build 126] - 18 Nov 2012
o Added sort button to the new manager dialog.
o If reading the event data from the CalDAV server fails Rainlendar tries to do it with a different method.
o Ctrl+Enter accepts and closes the event and task editors.
o All day events were not shown correctly if they were set on the day when DST changed.
o New operating system specific tray icons. The icon can be changed from the skin's settings.
o The recurrence status for tasks and events can be shown in the tooltip.
o Added context menu to the manager's event list.
o New categories for the skins: Pets, Car, Theatre and Music

[2.11 Build 125] - 14 Oct 2012
o The images in the about dialog didn't work if the program path contained foreign characters.
o Improved the error handling in the Toodledo plugin.
o Added manager list icons for task status and priority.
o It's possible to use special filters (e.g. "category:important") in the manager's search field.
o Clicking the category, status or priority in the manager will automatically set the filter for it.
o Delete key in the manager deleted the selected events also when the focus was not in the list.
o The tooltip in the manager showed content from the incorrect row.
o Improved the performance when there are a lot of events visible in the calendar.
o Manager didn't check the end date for the recurring events and tasks.
o The application was not closed down properly on Mac.
o Size of the new calendar wizard depends on the font size.
o Setting recurring task completed did not always set the alarm and completed date correctly.
o Improved the CalDAV support. It should now work with Yahoo!, iCloud and Baikal.

[2.11 Build 124] - 30 Sep 2012
o New completely rewritten manager dialog.
o Fonts in skins didn't work on Windows.
o The skin comment can contain newlines ("\n")
o Added the name of the translator to the about dialog.
o The submenus can be again wrapped inside a table for Rainlendar_ShowMenu() so that their position can be defined.
o Fixed division by zero error if the all day event area height was set to 0.
o Removed hard dependency to the appindicator library on Linux.
o Re-enabled the description field for Remember the Milk tasks.

[2.11 Build 123] - 02 Sep 2012
o Dragging items in the schedule caused a crash.
o Changed the password encoding to use the operating system services.
o The MAPI connection to Outlook is closed when the calendar is disabled.
o Added optional app indicator icon for Linux.
o Rainlendar_ShowMenu() required that submenu was wrapped inside a table.
o The week for the past dates was calculated from the start of the week insted from the end of it.
o Some menu items were twice in the task editor.
o The calendar must be selected in the new calendar wizard before proceeding.
o Deleting a single instance from a recurring event caused duplicate exception days to be created into Google calendar.

[2.11 Build 122] - 12 Aug 2012
o The controls in category and settings dialog overlapped the group box.
o Too long text in the options buttons is either wrapped or cut to fit inside the given area.
o Rainlendar didn't start if the executable path contained unicode characters.
o Empty Google tasks are ignored.
o The categories can be defined for a specific window.
o The English versions of the skin images were always loaded when the default language setting was used.
o Special characters in title or summary caused problems when written to Toodledo.
o The 64-bit Linux version crashed with RTM and Toodledo calendars.
o The categories window couldn't be opened with some languages.
o Removed the grouping controls from the options->skins since they caused problems in the Mac build.
o File associations didn't work if Rainlendar was already running.
o Restoring a backup set some of the settings to the default values.

[2.11 Build 121] - 29 Jul 2012
o Added support for CalDAV.
o Updated the icons in the options dialog.
o Changed the numeric edit controls to spin controls in the event and task editors.
o Added large version of the calendar window to the Shadow4 skin.
o New Google tasks were not updated correctly to the offline copy which created duplicates.
o Changing the value of "Show tray status icons" could not be done.
o Skin settings were not saved correctly if there were multiple instances of the same window active.
o Skin details show also the version history for the skin.
o Added event handlers for enabling/disabling calendars and refresh & quit Rainlendar.
o Updated to wxWidgets 2.9.4.

[2.10 Build 120] - 02 Jul 2012 - Version 2.10
o The exception days were not applied correctly with the CSV export.
o The time for the events and tasks did not take into account the daylight saving time when exporting CSV.
o Deleting tasks with subtasks didn't work correctly when done in the manager dialog.
o Dismissing alarms did not work if the UID property had spaces at the end.
o Rainlendar crashed if the root item in the active skin list was double clicked.
o Toodledo start time was set to the due time when creating or editing the tasks.
o Improvements to the Toodledo recurrence support.
o Changing the status of a task in the change fields dialog did not work correctly.

[2.10 Build 119] - 17 Jun 2012
o Some of the scripts got broken by the Lua 5.2 update.
o The relative snooze to the target time wasn't updated correctly to the alarm window.
o Added Rainlendar_Backup and Rainlendar_Restore to the Lua API. Backup can be done with a hotkey too.
o Rainlendar_DeleteComponent() deletes also the subtasks automatically. Same also happens if the task is deleted from the manager.
o The start and end times are updated in the event/task editor now also if the time is entered manually.
o If downloading the Google calendar fails because the authentication was expired Rainlendar will reauthenticate automatically.
o Improved the error handling when importing events fails.
o Yearly recurring events were not always shown on leap years.
o Dragging a task in the schedule views did not work correctly.

[2.10 Build 118] - 20 May 2012
o Added info text to the task editor which is shown in the recurrence tab if the due date is not set.
o The info text also notifies if the alarm won't be shown because it is either ignored in the calendar or the skin lacks the alarm window.
o Switching between events and tasks in the manager didn't update the menu items.
o Changing relative start or end time on an event or task which didn't define the property moved the time to start of year 0.
o Double click handler works in month view now too.
o Process completed functionality is disabled for Google tasks.
o Rainlendar_ReadFile() doesn't convert the text to lowercase anymore.
o The window specific settings dialog can be opened from the windows submenu.
o The snooze time can be relative to the target time (i.e. event's start or task's due time). Relative times can be defined with 'r' postfix (e.g. "10r").
o Added few predefined choices for the time and date formats in the advanced options.
o Updated the 3rd party libraries: curl, lua, openssl, zlib
o Created a workaround for a crash problem which happened on 64-bit Kubuntu when the event or todo dialog was closed.

[2.10 Build 117] - 29 Apr 2012
o On Mac it was possible to close the manager dialog while the file dialog was open which caused a crash.
o The change fields dialog crashed if the type of the item was not changed.
o The maxheight attribute didn't work correctly with recurring events.
o Change the way "Double click action" works. It's now possible to disable the double clicking completely or show the menu always.
o Added event handler for double click on a calendar day.
o When creating new calendar the user credentials are automatically used from the previously created Google calendar or Toodledo task list.
o All day events in schedule and month views need to be dragged to another day before the times are changed. This is to prevent accidental moving of multiday events.
o Windows which are linked to upward growing windows are placed top of them when the window positions are rearranged.
o Added a search widget to the Shadow4 widget addon.
o If there is only a single valid calendar it is selected automatically when creating a new event or task.

[2.10 Build 116] - 08 Apr 2012
o Added change field dialog to manager which allows to change field for all selected events and tasks or even convert tasks to events and vice versa.
o Changing outlook appointments showed an unnecessary error.
o The menus work again in OS X Lion. The hide dock icon setting had to be removed though.
o Added "Show adjacent days" setting and grid calendar window for the Savannah skin.
o The DigiClock in Shadow4 can also show the current date.
o Added maxheight attribute for the eventtext elements in the month view.
o Category icons were not created unless the calendar was drawn.
o Rainlendar_ListAllComponents() returns now also tasks if the date parameter is given.
o Rainlendar_SetEventHandler() can register to calendar click events.
o It was not possible to add alarms for events if multiple calendars were selected.
o Alarm dismissal is stored locally too so now it's possible to dismiss read only events too.
o Added possibility to define a default alarm for all events and tasks in the calendar.

[2.10 Build 115] - 05 Mar 2012
o Changed the Windows version to use the same file monitoring as other platforms since it seems to work better with Dropbox.
o Handling of yearly recurring events should perform better now.
o The curl library is now linked statically on Linux.
o Creating new events from Rainlendar to an empty new Outlook data file failed.
o Unsupported fields are disabled in the event and task editors.
o Editing weekly recurring events cleared the weekdays in the recurrence.
o Exception dates are ignored in CSV export.
o The years after the summary can be added to any category. The categories can be chosen from the general settings.
o Added advanced option to choose if the years after summary is ordinal or normal count value.
o The tooltip in the tray is moved inside the screen.
o Added advanced option to enable window fading on Linux.

[2.10 Build 114] - 15 Jan 2012
o Added better error message if the Google account has two factor authentication enabled.
o Added text customization options for Savannah skin's categories.
o Add alarm button now opens the file dialog directly in Mac because multiple modal dialogs caused problems.
o The completed date was set incorrectly to Toodledo tasks.
o The previously selected days for weekly recurring event are cleared when the start date is changed.
o Incorrect day was sometimes selected for weekly recurring tasks when they were edited.
o Due date was calculated incorrectly for biweekly tasks which started on Sunday.
o Weekly recurring multiday tasks were not shown correctly in the calendar.
o The Outlook icon for tasks is now set correctly.
o Completing Outlook task sets it's percent to 100%.
o Added possibility to change the width of the Chromophore skin's list windows.

[2.10 Build 113] - 06 Dec 2011
o Setting certain import limits for the Google calendar caused an error.
o Task in the month view showed incorrect time.
o Fixed possible crash bug in the Google Calendar on error situations.
o If saving the settings to disk fails it is tried again after a small delay.
o Added an advanced setting which defines how many previous locations are remembered.
o The title of the event/task is shown in the error message if uploading to Google calendar fails.
o Uploading yearly recurring event with exception dates to Google calendar failed.
o Added Dismiss all and Snooze all menu items to the alarm's context menu.
o Added slim versions of the today image for the Shadow3 skin. The today image is now drawn under the event icons.
o Added advanced option to define the double click action in the calendar (show menu or create event).
o Multiline text was not drawn correctly if the vertical align was set to center or bottom.
o Schedule was drawn incorrectly if the time period was set to something else than 60 mins and the first shown hour was defined.
o Disabled image buttons are shown better in Windows 7.
o Added possibility to choose the folder of the Toodledo tasks.

[2.10 Build 112] - 16 Oct 2011
o Changed the way *.wav files are played on Windows since the old way caused crashes with some 3rd party codec packs.
o Added support for Google alarm methods and removed the "Google Calendar alarms" setting.
o Increased the size of the calendar controls in the export dialog.
o The recurrence days for weekly recurring events which defined the start date in local time could be set incorrectly.
o Selecting a skin in the simple mode always added the alarm and tooltip windows even if the skin didn't support them.
o Cancelling the date range dialog still opened the export file dialog when exporting events and tasks as comma separated values.
o The calendar is selected automatically in the options if there is just one.
o The SetVariable() will now store the new value to the settings file.
o Exceptions for Google calendar events should work better now.
o Cancelling or completing a recurring task disabled the next alarm instead just the current alarm.
o Initial support for Toodledo.

[2.9 Build 111] - 12 Aug 2011 - Version 2.9
o Enabled the "Show in all desktops" setting in Mac (needed by Lion).
o The due date for Google tasks changed to the previous day because of timezone conversion.
o Newlines in the task description were not stored properly to Google tasks.
o The Google calendar is only shown as the target if the events/tasks are actually read from the server.
o Edit control was left visible when the window was hidden. This showed a small black dot on the desktop.

[2.9 Build 110] - 31 Jul 2011
o The categories are shown in a drop down list with appearance. The old way can be enabled from advanced options ("Allow multiple categories").
o Subtasks are now deleted also when deleting the parent from the editor.
o Disabled the author check from the Google events since it sometimes caused valid events to be read-only.
o Fixed multiple alarm support for Google Calendar. Rainlendar also reads only one alarm from Google for certain alert time.
o If "Keep editor open until writing succeeds" was enabled the dialog was not closed when creating new events or tasks to Outlook.
o Dragging an item which was changed at the same time could cause a crash.
O Too large value for the time span in editor caused a crash. The maximum value is now limited to 60 (minutes).
o The new subtask menu item is shown only for tasks which support subtasks.

[2.9 Build 109] - 18 Jul 2011
o The alarm for weekly recurring all day events was shown on incorrect day.
o Fixed the problem with the invalid max-results error which was shown sometimes for Google calendars.
o Variable type works now with global variables too.
o Deleting a task will delete its subtasks as well.
o Changes to the Window size handling on Mac to make things work better on Lion.
o Error dialog shows the same error only once.
o Changed the "Change month" submenu to "Change day" for windows which contain a schedule view.
o The quickadd supports simple recurrence patterns now too use "every N days/weeks/months/years" + "for N times".
o Alarm dismiss state is written for all events at once instead one at a time like previously.
o Writing Google events caused the upload thread to hang if the request was redirected to some other url.
o Tooltip showed incorrect date for events which span over multiple days.

[2.9 Build 108] - 02 Jul 2011
o Smartly hidden windows got broken in the previous build and didn't appear anymore.
o Setting the standard tooltips for the window brought it to front on redraw. This mainly affected the to do list window.
o Alarm didn't make the timezone adjustment for all day events so they could be shown for incorrect day.
o Restoring the settings from a backup file on startup didn't actually use the backed up settings.
o Set predefined polling values for Google Calendar and Remember the Milk so that the server doesn't get flooded if you poll it too often.
o New events were written to the offline copy too late which could cause event and task duplication.
o Added "subtaskindent" for xml format skins which defines the indent for sub tasks.
o The last read time is adjusted to match the server's if your local time is in the future so that polling for changes doesn't miss anything.

[2.9 Build 107] - 18 Jun 2011
o Mac: Importing files with foreign letters in the filename should work now.
o Hidden windows are not drawn anymore to improve the performance.
o Offline file didn't work with Google calendar unless the task list was read from the server too.
o If the tray icon isn't selected for the skin the default icon is used instead. The icon can be disabled from the advanced options.
o The mouse cursor changes correctly to hand when it is over a clikable link.
o The skin.xml file is tried to read from the first subfolder inside the zip archive.
o Google events which are marked as non-modifiable are set as read-only in Rainlendar.
o The network calendars are not read immediately anymore if the poll duration has passed while the computer was suspended.
o The due time was not stored properly to Remember The Milk's task list.
o The next alarm for tasks which recurred last week day of the month was calculated incorrectly.
o Changing the due date or time will reset the completed time for the task.
o The tooltips are not shown anymore for items which are set hidden.
o Added an option to select the settings file from backups if the startup has failed.
o Added advanced option to remove the due time from the alarm window. This will also disable the alarm window from updating.
o Added support for sub tasks. The tasks can be moved under other task when the list has custom sort order.
o The position of the task in custom ordering is now written to the task itself.

[2.9 Build 106] - 15 May 2011
o Added timeformat and dateformat variable types which allow skins to share the Rainlendar's default format as set in the options.
o It's now possible to limit the number of past events read from the Google Calendar.
o Changing the start date in the to do editor didn't update the recurrence choises correctly.
o Time items in the schedule were not always drawn to the end of the list.
o Window fading is disabled on Linux because it sometimes causes the windows to stay fully transparent.
o Google and RTM calendars could crash if offline file was used.
o Added header to the print output.
o Initial support for Google Tasks.

[2.9 Build 105] - 17 Apr 2011
o Added advanced option "Time span in the editor" which defines how many time items are shown in the editor.
o The calendar wizard for Google calendar can now download the calendar list from the server.
o Changing a template didn't reset the alarms properly.
o The all day events can be moved with the mouse in the week view.
o Added dragging support for the month view.
o Holding shift and ctrl keys down on startup asks to reset the Rainlendar's settings.
o The alarm for recurring tasks was calculated from the start time instead from the due time.
o Added new function to list the calendars: Rainlendar_GetCalendars()
o Added effectOffset and effectBlur values for the appearance nodes in xml format skins.
o New skin: Savannah

[2.9 Build 104] - 26 Mar 2011
o The Google's reminder is now removed for single event on dismiss only if "Always use alert" is used.
o The application crashed if a backup file marked as hidden was overwritten.
o The event dialog sometimes remained open permanently if "Keep editor open until writing succeeds" was enabled.
o "Show no icons" hid also the today marker.
o Restoring didn't change the settings to the original values properly.
o Week number support for vertical and horizontal calendar layouts was removed by mistake.
o Added better controls for the variables in the skin settings.
o Added an advanced setting to define the first and last shown hours in the day and week views.
o Dragging the schedule items can be cancelled with esc key.
o The event text wasn't shown in day and week views if the event started outside the visible area.
o Added reverse option for the to do list sorting.
o Added support for multiple alarms for the native iCalendar format and Google Calendar.
o Deleting event with visible alarm from the Manager left an empty alarm window visible.

[2.8.1 Build 103] - 04 Feb 2011 - Version 2.8.1
o The time offset for the initial calendar wasn't initialized so if could contain a random value.
o Creating events with the quick add near the end of the month sometimes caused invalid dates.
o Deleting events from Lua script could cause a crash.
o Transferring the backup files between different computers works better now.
o Possibility to add custom audio as an alarm is now disabled for calendars which don't support it.
o For performance reasons the alarm window will disable automatic updating if it containse more than 10 visible alarms.
o Time offset now adjusts the weekday correctly for the weekly recurring events and tasks.

[2.8.1 Build 102] - 29 Jan 2011
o Added iCal support for Mac.
o The language selection for the translate widget didn't work.
o Some selection settings could't be made if some other language but English was used.
o [Orange] category wasn't shown correctly in the Shadow4 skin.
o Outlook recurring events sometimes were shown on incorrect day if the start day was start or end of the month.
o Added a workaround for Outlook events which didn't set the recurrence end date correctly.
o The CSV plugin failed to import dates where year was defined with two digits.
o The recurrence controls were incorrectly updated also when the end date was changed.
o Rainlendar crashed if previously deleted event was deleted again.
o The calendar wasn't chosen from the template unless "Allow multiple calendars" was enabled.
o Added new option for "Combine icons in the calendar" not to show any icons.
o It's not anymore possible to delete read only items in the Manager dialog.

[2.8 Build 101] - 06 Jan 2011 - Version 2.8
o The to do list now takes the start/due time into account also when sorting the list.
o Window variables with predefined list didn't work when localized texts were used. Fixed.
o Week number in the week view wasn't adjusted by the "Week number delta" setting. Fixed.
o Copy group adds postfix ".x.y" to the "id" for the copied items.
o Old languages are removed from the config folder on startup if there is a newer one in the program folder.
o CSV export wrote the first instance of a recurring event twice to the file. Fixed.
o The operating system's default language is used automatically instead English on new installations.

[2.8 Build 100] - 18 Dec 2010
o Some of the languages are now bundled with Rainlendar so no separate installation is required.
o Added week numbers to the week views in Shadow4 and Chromophore skins.
o Added url buttons for the schedule views.
o Changed the loop alarm sound to be defined as number of seconds instead looping forever.
o The today's item and header in the event list can be customized with "todayheader" and "todayitem".
o Getting and setting global variables didn't work from lua scripts. Fixed.
o "Try direct connection if proxy fails" didn't work in Google calendar if the "Suppress errors" was enabled. Fixed.
o Removing start or due date from an Outlook task didn't work. Fixed.
o It was still possible to define the start date after due date for the tasks if just one of them was enabled. Fixed.
o New events created from the month view's context menu had today's date instead the selected one. Fixed.
o Month view showed some all day events incorrectly. Fixed.
o Upgraded to wxWidgets 2.8.11.

[2.8 Build 99] - 27 Nov 2010
o The visual category can now be used to overwrite only the base appearance and the icons can come from the event's category.
o The alarm is now limited to 28 days before the event when saving events to Google Calendar.
o Added an advanced option to keep the editor open while the event is written to the calendar.
o Fixed crash bug when a recurring task was set to December and written to RTM.
o It is now possible to use a localized help file too.
o The skin menu was opened in incorrect location. Fixed.
o The initial value of the font scale is automatically reduced if the DPI settings on Windows are > 100.
o Added option for the Outlook calendar to read the birthdays from contacts.
o The todo dialog prevents setting the start time after the due time.
o Cancelling a task will automatically dismiss the alarm too if it has one.
o Password fields show the amount of stars equal to the password length.

[2.8 Build 98] - 12 Nov 2010
o Changed the calendar selection to combo box. The "Allow multiple calendars" in advanced settings can be used to go back to the old way.
o Added "w" and "h" attributes for the days element in the calendar which can be used to define the size of the day in the free layout.
o Rainlendar_SetVariable() didn't work. Fixed.
o Added a special calendar called "[None]" to the included/excluded calendar list which can be used to show/hide events which do not belong to any calendar.
o If the window fade duration is set to 0 the window is set immediately to opaque. This should help with the hidden windows on Linux.
o Added an advanced option to show/hide the tooltip in the tray.
o It's now possible to add a time offset for a calendar's events and tasks. This can be used e.g. for time zone adjusment.

[2.8 Build 97] - 24 Oct 2010
o Month items were not aligned correctly due to the changes made in the previous build. Fixed.
o Moved the buttons to the left in the options dialog to make it more netbook friendly.
o Added the missing "linkcolor" attribute for text items.
o Added timezone and label support for the analog clock in the Chromophore skin.
o Recurring events with until date could not always be updated to Google Calendar. Fixed.
o The FREE layout in calendar can now show also weekdays.
o Lua scripts can be run on window initialization and redraw (see Rainlendar_SetEventHandler).
o Mouse events didn't work with FREE calendar layout. The <calendar> must now define width and height which contains all the day positions for this to work.
o Fixed a crash which happened if the skin didn't have a tooltip and todo list was set to custom sort order.
o Calendar file monitoring now checks also changes in the file modification date.
o Added a small delay before the components are reloaded after changes are detected so that sequential updates cause just one operation.
o The mouse cursor changes to a hand when it is over a button.

[2.8 Build 96] - 10 Oct 2010
o If all windows and the tray icon were hidden the warning dialog wasn't shown in the startup. Fixed.
o The event's alarm is now set no matter which method is used in Google calendar (previously only 'alert' methods were supported).
o Network shared calendar used the same authentication method as the proxy which could prevent the connection. Proxy uses now always basic auth.
o The debug log contains now also the debug output from curl.
o The tray icon is not removed anymore on Linux when it is being updated.
o Added "todayevents" item for the xml skin format which can define the appearance of the events which are on the current day.
o The start and end times for multiday events are shown from 0:00 to 23:59 on the intermediate days.
o Url buttons didn't work on Mac build. Fixed.
o Added a variable for the all day area height in the schedule views.
o It's now possible to delete all the following recurring events in the delete confirmation dialog.

[2.8 Build 95] - 19 Sep 2010
o The "Enable on startup" is now hidden on Mac and Linux since it's Windows only setting.
o Added possibility to create, move and resize the events in day and week views with the mouse. Hold shift key down to create new events.
o The mouse interaction in the schedule view can be disabled from the advanced options.
o Changed the way the calendar is drawn on Linux to prevent black windows on newer versions of cairo.
o Editing Remember The Milk's tasks could return an error even if everything succeeded. Fixed.
o The %p will be converted to non-translated "AM"/"PM" if bitmap fonts are used in the time item.
o Added Rainlendar_ReadFile() function to the API which is able to read the file contents also from unicode paths on Windows.

[2.8 Build 94] - 29 Aug 2010
o Deleting one instance from a recurring event in the month view didn't work. Fixed.
o Split the "Visible calendars" filter to "Included calendars" and "Excluded calendars"
o Task in a schedule view was opened with the event editor. Fixed.
o Added auto-completion to the category text edit.
o The category list is now sorted on Linux and Mac too.
o Retrying without proxy is done now also if the proxy can be connected but if fails to return any data.
o The date format strings are now filtered for illegal characters to prevent crashing.
o Added topmargin and bottommargin for the schedule items which can be used to add extra space to the event area.
o You can now define the height and duration of one time item in the day and week views.
o Outlook's all day event's day is chosen from noon instead from midnight to allow some time zone adjustment.
o If a window defines included calendars they are selected automatically when creating a new event or task.

[2.8 Build 93] - 13 Aug 2010
o Added browse button for the custom category icon path setting.
o Fixed few issues with the category editor when Rainlendar was used in different language.
o The modified categories are now shown as bold in the category dialog.
o Added support for CSV import and export.
o The alarm snooze values are written to the settings file immediately instead on exit.

[2.8 Build 92] - 01 Aug 2010
o The category filters are now case insensitive.
o Month view didn't show multiple events on the same day correctly. Fixed.
o Weekly recurring events did not take into account the interval when calculating the end date.
o Restoring a backup didn't apply the settings. Fixed.
o Added possibility to create custom categories for skins which support them.
o "Custom category icon path" in advanced options can be used to define a folder for custom icons.
o Added "Open containing folder" for the skin's context menu in the options dialog.
o Added %HF as header format code which will be replaced with the default header text.

[2.7 Build 91] - 07 Jul 2010 - Version 2.7
o The message box after import and export caused a hang on Mac. Fixed.
o The check for update in about dialog worked only if the update check was enabled from the settings. Fixed.
o Added advanced option to show the time for the tasks when the list is sorted by due or start date.
o Dismissing weekly recurring event's alarm could cause a hang. Fixed.
o Added an API function to check if a calendar is enabled or not.
o Dismissing alarm when the task was set completed didn't work. Fixed.
o The included/excluded categories are now shown with localized texts.
o Multiline texts which didn't have enough space to draw the ellipsis were drawn incorrectly.
o The schedule scroll position is now remembered also if the calendar is refreshed.
o Removed warning from the log when xml comments were used in the file.
o Backups were written to the incorrect folder if the location of the config file was defined in the command line. Fixed.
o Aero peek doesn't hide the edit controls anymore.
o Calculating the last alarm for Outlook events could cause an infinite loop. Fixed.
o Changes in the RTM tasks are now handled better when polling the server.

[2.7 Build 90] - 30 May 2010
o Fixed drag'n'drop in todo list which had gotten broken at some point.
o Fixed scroll bar positioning in the schedule items.
o Removed topmost flag from the options dialog on Mac because it broke down the file dialog in the new calendar wizard.
o New implementation for the "On Desktop" feature which should work also on Windows Vista and 7.
o Added day, week and month views for the Chromophore skin.

[2.7 Build 89] - 25 Apr 2010
o The previous build broke the vertical and horizontal line calendars. Fixed.
o Schedule options overwrote the event list's options. Fixed.
o Daylight saving time adjustment could prevent Outlook alarms from being dismissed. Fixed.
o Added global event for online calendar status (ok/sync/offline).
o The schedule view now remembers its position when autoscroll is disabled.
o The event list showed one too many future days. Fixed.

[2.7 Build 88] - 10 Apr 2010
o Added location, categories, priority and url support for the quick add.
o Dismissing Google calendar's event from Rainlendar didn't work. Fixed.
o RTM authentication got broken in the previous build. It should work now again.
o Links and keywords didn't work in the schedule. Fixed.
o Added possibility to define the width and height of the week days rows & week nums columns in the calendar.
o Added possibility to show the event text inside the calendar too. The month view in Shadow4 skin shows this.
o The schedule items can now show the start/end time, location and calendar.
o The skins can be deleted from the context menu in the advanced skin options.
o QuickAdd could create tasks to a calendar which didn't support them. Fixed.
o Made autoscroll optional in the schedule views.
o Right mouse button actions didn't work for the list item buttons (e.g. in alarm). Fixed.
o Duplicating a calendar didn't save its settings. Fixed.
o If "Support Mozilla alarms" is enabled Rainlendar now also updates the X-MOZ-LASTACK property when the alarm is dismissed.

[2.7 Build 87] - 13 Mar 2010
o The calendar's password couldn't be changed from the options. Fixed.
o Yearly recurring events with alarm caused problems in the Google calendar. Fixed.
o Fixed issue with Outlook recurring events which caused corrupted events in Rainlendar.
o Remember The Milk authentication token is now cleared only if the server returns proper error.
o The events from Google calendar were not read properly after resuming from suspend mode. Fixed.
o Fixed a crash bug with the start another instance dialog.
o Google missed the last day of the recurring events which defined the "until" as the end. Fixed.
o Outlook alarms were set too far in the past. Fixed.
o The event list can now show items from the past too (Options->Advanced->"Number of past days the list shows").
o The pastitem and pastheader can be used to customize the past events in the list.
o The past events can be hidden from the event list with Options->Advanced->"Hide past events".
o The event and task list track now the state of the past/overdue items and update the list when necessary.

[2.7 Build 86] - 24 Jan 2010
o Switched back to wxWidgets 2.8.
o Setting a task completed will change the status correctly on Outlook too.
o The url field for events and tasks can now use wiki style link formatting.
o The todo list settings (e.g. the sorting orders) can be changed now from the options too.
o Added support for "exevents" for the xml format skins.
o Added a special "<Hidden>" category which hides the event/task from other windows except the alarm.
o Fixed a crash bug when the calendar is reloaded at the same time the user chose an event from the menu.
o The year, month and day in the keywords can be replaced with YYYY, MM and DD to represent the next date from today. E.g. "[days=YYYY0101]".
o Added possibility to define the height and width for the Shadow4's calendar window from the settings.

[2.7 Build 85] - 27 Dec 2009
o Changing to simple skin options didn't remove the active window list. Fixed.
o Double clicking a skin or addon showed a DDE error. Fixed.
o Script timers got broken in the previous build. They should work now again.
o Fixed log for the Linux and Mac builds.
o Message box with no parent window remembers its position.
o The alarm window should stay now better on top of other windows.
o The lock file is now stored to /tmp on Linux and Mac.
o The task priority wasn't set correctly to Outlook. Fixed.
o Outlook showed empty and non-existing categories as separate. To fix this Rainlendar doesn't create empty category properties anymore.
o The exception date increases by the current recurrence when the "Add" button is clicked.
o The task list header format for start and due date is now customizable from advanced options.
o Added import limit setting for the Outlook calendar.
o It's now possible to transfer tasks between Remember the Milk lists.
o When editing RTM tasks now only the changed fields are send to the server which should improve the performance.

[2.7 Build 84] - 29 Nov 2009
o Fixed text wrapping when the area gets really small.
o Column order in the manager can be changed by dragging (only supported on Windows though).
o It's now possible to define any file for the alarm. All non-audio files are executed instead of played back.
o Changed the way Google alarms are defined. You now have option to always use alert, the Google's methods or the default Google notifications.
o Added advanced setting to delay the network access on startup.
o Category filters didn't work for translated category names. Fixed.
o Retry if proxy fails setting didn't work with RTM. Fixed.
o Added grid calendar for the Chromophore skin.
o Added navigation arrows to the day and week views in the Shadow4 skin.
o The first uncompleted task is now shown from RTM (previously it was the last one).
o Changes to the window positioning on Mac. The dialogs stay now always on top since previously they could open behind other windows.

[2.7 Build 83] - 11 Oct 2009
o The windows stay visible with Aero peek.
o Some of the colors in the old ini format skins were messed up. Fixed.
o Playback of the alarm file was synchronous on other platforms than in Windows. Fixed.
o Recurring Outlook events which were originally created as all day events but which had time defined did not have time in Rainlendar. Fixed.
o The windows were not redrawn properly if the same event or task was read from multiple calendars. Fixed.
o Mouse wheel didn't work with the grid calendar. Fixed.
o Added week and day views to the Shadow4 skin.
o The event descriptions in the schedule view can be shown/hidden from the advanced settings.
o Setting task completed will now dismiss its alarm also.
o Changed the way "On Desktop" works in Snow Leopard. The windows are not put to desktop anymore but stay in place when Exposéd.

[2.6 Build 82] - 21 Aug 2009 - Version 2.6
o Windows with edit controls moved incorrect place on Linux if copy transparency was used. Fixed.
o The status field didn't work for Outlook tasks. Fixed.
o Some monthly recurring events which spanned across the year end were not shown correctly. Fixed.
o QuickAdd didn't always set the year correctly. Fixed.
o If "Disable keyboard shortcuts" is enabled the menu shortcuts are not shown in the context menu,
o Grouping events in the event list showed items twice if they defined a start time. Fixed.
o Added #DATE# as the substitute for the buttons in the lists. The substituted date is a string in format YYYYMMDD.
o Tooltips were not shown in the correct position for the url icons. Fixed.
o Alarms are removed from the events with RECURRENCE-ID property because they set as read-only.

[2.5 Build 81] - 24 Jul 2009
o Added support for RECURRENCE-ID property. The exceptions are now visible but it's not possible to edit such events.
o When creating a new task by right clicking over the to do list the current header (category, due time, ...) is set automatically for the new task.
o Categories are not translated automatically to English when saved to the calendar (unless you enable the "Store English category names" from the advanced settings).
o Deleting the last item from an online calendar works now but only if it's the only one being deleted. If you want to clear a calendar disable the offline copy first.
o The offline copy didn't work with RTM calendar if the network wasn't available on startup. Fixed.
o Added advanced option to play the alarm sound in loop.
o Added Rainlendar_PlaySound and Rainlendar_StopSound to the Lua API.
o It's now possible to limit the number of days the to do list shows (defined in advanced options).
o The alarm list's menu includes now the status selection for the tasks.

[2.5 Build 80] - 12 Jul 2009
o It's now possible to use math expressions in the xml format skins in attributes which have integers as the type.
o Added possibility to define width for each character in a bitmap font. The bitmap font can be used most places as normal fonts.
o Increased the Rainlendar_ShowMenu() index range to 10000. It can now also contain submenus.
o Added a copygroup item for the xml skins which duplicates the items it contains. The position of the items can change in each copy.
o Added possibility to rotate the bitmap elements as they are loaded.
o New calendar windows for Shadow4: Grid Calendar, Vertical Line Calendar and Horizontal Line Calendar.
o The tooltip shouldn't open anymore over other applications.
o Recurring Outlook appointments with multiple exceptions were not always shown correctly. Fixed.
o The Rainlendar's data stored as a Remember The Milk's notes was sometimes multiplied. Fixed.
o Added showmonth attribute for the time element.

[2.5 Build 79] - 28 Jun 2009
o The ini format skins got broken by the "hide url icons" feature. Fixed.
o Added possibility to set the info text (infotext) and focus (focus) for the edit controls from the lua api.
o All files that end with "addon.xml" are read from the skin archive and added to the skin. This makes creating the addons simpler.
o Added new setting which will draw a rectangles around skin elements: AddSkinRectangles
o Added an alternative format for the grouped multiday event header.
o Added an advanced option to download all network calendars simultaneously.
o Fixed multiple crash bugs in the Mac version.
o Added ignorefirstday and ignorelastday attributes for the weeknums element in the calendar item.
o Visual category is now applied only for events without any category. This can be changed from the advanced options.

[2.5 Build 78] - 06 Jun 2009
o The list wasn't updated when the url was changed. Fixed.
o Added advanced option to hide the url icons from the lists.
o New API function: Rainlendar_QuitApplication()
o Few performance improvements.
o Added more checks to the new calendar wizard so that you don't accidentally leave out the name of the file or the extension.
o Removed unnecessary warning if copy/move was cancelled in the Manager.
o Yearly recurring events which cross the year end were not shown correctly. Fixed.
o Dismissing a Google calendar alarm will remove the reminders from the single events.
o Tasks couldn't be set as completed until the due date had passed. Fixed.
o Weekly recurring tasks which didn't have start time defined were shown incorrectly in the calendar. Fixed.
o Tooltips were not shown correctly on non-Windows platforms when On Desktop settins was used in multi-monitor environment. Fixed.
o The RTM plugin reads just the incomplete tasks from the server.

[2.5 Build 77] - 16 May 2009
o Added icons to the menus.
o RTM priorities were reversed. Fixed.
o Outlook's appointments' private property didn't work. Fixed.
o New calendar wizard now suggest a name for the calendar automatically.
o Added support for an url field for the events and tasks. The link is shown as a clickable icon in the lists.
o The horizontal and vertical calendars support weeknumbers now. The weeknumber is drawn on the first day of the week (use offset to move it).
o Word wrapping works now for lines without spaces.
o If updating an event to Google Calendar causes a conflict the updated event will reloaded from the server.

[2.5 Build 76] - 26 Apr 2009
o Year long events were not shown correctly on the calendar. Fixed.
o Added support for description, location, status and alarm properties for the RTM tasks.
o Fixed a memory leak in the event list.
o Tray icon now shows the status when Rainlendar is synchronizing the network calendars or when it is in offline mode.
o Alarms didn't work for Outlook tasks. Fixed.
o Calendar shows only the future recurring tasks if the "Hide completed tasks" is enabled.
o Setting a repeated task completed marks it so until the current date (instead just to the alarm time like previously).

[2.5 Build 75] - 12 Apr 2009
o Alarm was calculated incorrectly for the weekly recurring all day events. Fixed.
o Alarm for some recurring Outlook events couldn't be dismissed. Fixed.
o "ignoredefault" doesn't ignore the default appearance anymore if it comes from other events.
o The alarm list is sorted by the start/due time.
o Setting remainder to 0 for text element disables the bitmap rotating.
o Priority items for todo lists can contain child items now too.
o Added color categories to the Shadow4 skin.
o Added search field to the advanced options. Both the property names and values are matched.
o The X-properties are removed from the exported ics file to make it more compatible with other calendar applications.
o Added context menus to event/task editors and the manager on Mac.
o Skin details window now displays the installed addons.
o Tasks written to RTM didn't preserve the due date. Fixed.
o Outlook alarms didn't work on some timezones. Fixed.
o Added API functions to edit the events/tasks from lua scripts.
o Clicking the button in front of the tasks toggles the status between completed and needs action.

[2.5 Build 74] - 21 Mar 2009
o Default task template couldn't be set from the advanced options. Fixed.
o Buttons can handle right and middle clicks too. An action can be also executed when the button is held down.
o Added individual dismiss and snooze buttons to the alarm window in Shadow4 skin.
o Snooze menu can be opened in the alarm by holding the snooze button down or from right mouse button.
o Normal tooltips can be now used for items inside a list too.
o Keywords work for tasks too. But only if the task has a due date.
o The button action variables in the list were not updated when the list contents changed. Fixed.
o "Snooze" was shown twice in the menu items with hours and minutes. Fixed.
o The snooze menu can display days now too.
o Outlook items are read now even if they don't contain all the properties.
o Google alarms are not limited to predefined values anymore.
o New plugin: Remember the Milk

[2.5 Build 73] - 08 Mar 2009
o Images with incorrect dimensions just give an error in the log but don't prevent them to be used.
o Added support for color definitions in the xml skin. Colors can be adjusted with hsv, brightness and contrast like bitmaps.
o The # is now automatically removed from the time item's format string on Mac.
o Added possibility to have edit controls in the xml format skins.
o Added new window for Shadow4 skin for quick add events/tasks. In Chromophore the same functionality is embedded to the lists.
o The Rainlendar's context menu has all the items now in Mac too.
o Skins and languages are installed to the config folder instead to the program folder.
o Snoozing alarm hid some of the other alarms from the window too. Fixed.

[2.5 Build 72] - 08 Feb 2009 - Version 2.5
o Changing the events did not update the lists. Fixed.
o The tray icon menu was missing the submenus on Mac. Fixed.
o Added possibility to add separators to the alarm window.
o Updates to the ics file are safer now so it shouldn't get corrupted even if the application crashes in the middle of writing.
o Moved snooze items from the sub menu to the alarm menu.

[2.4 Build 71] - 01 Feb 2009
o Day in the tray icon wasn't updated on Mac. Fixed.
o The windows are automatically put to all spaces when On Desktop setting is used on Mac. The windows are also not shown in Expose.
o Event and task editors can be closed with esc key.
o Changing task's date by dragging it in the list set the time to 0:00. Fixed.
o Added a checkbox to the event dialog to mark the event time as busy/free.
o The "On Desktop" state was sometimes reset to normal on redraw. Fixed.
o The Manager's list preserves the focus now too when it is refreshed.
o Stuck threads don't prevent the application from closing anymore.

[2.4 Build 70] - 11 Jan 2009
o Defining a folder for Outlook calendar's settings caused the Options dialog to hang. Fixed.
o Https support was broken in Linux builds. Fixed.
o Added the tray icon to the menu bar on Mac.
o Added "Show dock icon" setting to the advanced options on Mac.
o Traytip is not shown at all anymore if the "Show today's events on startup" is set to "No".
o Added new option to "Combine icons in the calendar" to show only one icon per day.
o Alarm gets hidden automatically if the event's calendar is disabled.
o Categories with &-char are displayed correctly in the selection list.
o Added "abbreviate" for the month element in the xml format skins.
o It's now possible to define how many backup files are preserved from the advanced options. Set the value to 0 to disable the automatic backups.
o The license file can be installed from the context menu also (the item is only shown in unregisted Pro version).
o Column sizes were set incorrectly if the order was different than the default.

[2.4 Build 69] - 26 Dec 2008
o Added "Save As New" menu item to the event and todo dialogs.
o Installing a license to the Lite version gives a warning.
o The dialogs remember maximized state.
o When polling the Google Calendar only the events which have been modified since the last time are read.
o Offline content (if available) is shown immediately for the Google Calendar.
o Reading images from mapped remote folders didn't work. Fixed.
o Improved Mozilla alarm acknowledge support.
o Changed how the network and Google plugins handle the offline files.
o The exclude filter for categories is now checked before the include filter.
o It's now possible to change category of multiple events from the manager dialog.

[2.4 Build 68] - 07 Dec 2008
o Replacing an image element (e.g. with the Photos addon) caused a crash. Fixed.
o Added menu items to hide/show all calendars and windows at once. Windows menu items are available only if tray icon is enabled.
o Rainlendar crashed when importing the old version data on the first run. Fixed.
o Fixed a crash when multiple network calendars were initialized at the same time.
O Calendar and category filters for windows didn't work. Fixed.

[2.4 Build 67] - 16 Nov 2008
o Installing Rainlendar to a folder with '#'-char in path should work now.
o Keywords didn't work as expected when a date was added to them. Fixed.
o File monitoring is supported in Linux and Mac now too.
o Busy status was set always to free when an Outlook event was edited. Fixed.
o Added duplicate and up/down buttons for the calendars in the options dialog.
o Fixed a crash if event/todo editor was opened from the Manager and the Manager was closed.
o Alarms for weekly event were not triggered on correct day if the local time was on different day than UTC. Fixed.

[2.4 Build 66] - 09 Nov 2008
o It wasn't possible to remove the description from Google events. Fixed.
o Skin settings dialog could be opened even if no window was selected. Fixed.
o Fixed drag'n'drop for priority and status when custom secondary sorting was used.
o The type of the proxy can be set from the advanced settings.
o Added support for GSS-Negotiate and NTLM authentication in the network plugin.
o The calendar showed incorrect week number for the 1st week of the year following a leap year.
o Added Rainlendar_GetElementValue and Rainlendar_SetElementValue to the scripting API.
o Reset all settings didn't do what it was supposed to. Fixed.
o Automatic backups are taken also when the day changes and not only on startup.
o Empty lines in description are not removed from the tooltips.
o Updated 3rd party libraries.

[2.4 Build 65] - 13 Sep 2008
o Fixed a crashing issue when the settings file was created the first time.
o Outlook plugin should work in Windows 2000 again.
o Added support for keywords. [days], [weeks], [months] and [years] will be replaced with the count to the current date.
o A fix for weekly recurring exception in the Outlook plugin.
o Windows were moved to the main monitor on redrawn. Fixed.
o Included luaFileSystem library which allows local file enumeration for the lua scripts.
o The time written to the edit field wasn't used on Mac. Fixed.
o It wasn't possible to remove the category from a Google event. Fixed.
o Changed the way OK button works in the event/todo dialog. If the calendar is not defined it now shows a message box.

[2.4 Build 64] - 21 Aug 2008 - Version 2.4
o Added updaterate to xml skins which allows the skin to define how often the window should be redrawn.
o Added version and duplicate check to the skin addons.
o Calendar control didn't show the selected date. Fixed.
o Window's settings are kept now when they are changed in the advanced skin options.

[2.3 Build 63] - 10 Aug 2008
o The Rainlendar_SetItemValue() was broken. Fixed.
o Shadow4 widget addon didn't patch the skin.xml properly. Fixed.
o Missing locale folder is created automatically during language installation.
o Offline modifications were not saved to Google calendar. Fixed.
o Changing window position through the API didn't save it permanently. Fixed.
o Fixed a crash on exit when a second instance of Rainlendar was closed.
o Rainlendar sometimes crashed during refresh if a network calendar tried to show an error message. Fixed.
o The task times are stored as local time to Outlook.

[2.3 Build 62] - 31 Jul 2008
o Mac: Cursor is now changed when you try to drop something over the windows.
o Added --quiet command line argument which removes the message box after succesful import/install.
o Tooltips do not show location if it has been disabled in the todo/event list.
o Added possibility to change any item parameter through the API.
o The due date's time is also read from the Outlook.
o Closing the tooltip dismissed the context menu automatically. Fixed.
o The Windows version doesn't depend on the FaultRep.dll anymore.

[2.3 Build 61] - 15 Jul 2008
o Dates were set to incorrect century if the date format showed only the last two digits.
o For all day events the alarm now shows only days to the due time instead of hours and minutes.
o Added support for HSV and contrast/brightness in the bitmap fonts too.
o Fixed contrast and brightness calculation.
o New categories: Game, Sport, Health, School, Party.
o The today marker is now customizable in the Shadow4 skin.
o The skin settings dialog isn't modal anymore since it caused problems in Mac.
o Google Calendar's session id was not parsed correctly. Fixed.
o Implemented "Click Through" and "On Desktop" features for the Mac version.
o Windows move automatically to the screen edges when resolution changes.

[2.3 Build 60] - 29 Jun 2008
o Changed the alarm to play the sound with Windows multimedia API so other formats (mp3, mwa, ...) than just wav is supported now too.
o Added header to the alarm element which contains the date of the event and the due time.
o Centered text wasn't drawn in the correct place. Fixed.
o Copying tasks is now possible only to calendars which support them.
o If a skin doesn't contain any default windows all of them are shown.
o Removed the Outlook edit link texts from the print output and from the menus.
o Skins with '#' and '%' in the name or path should work now.
o Added some more error handling to the scripts.
o Fixes to the alarm in weekly recurring tasks.

[2.3 Build 59] - 17 May 2008
o Skin addons do not have to share the skin's name anymore. The addon can define the skin in a file called "skin".
o Script timers weren't deleted on the refresh which caused a crash. Fixed.
o Disabled menus on Mac when the Options dialog is active.
o Network shared calendars can choose to use either basic or digest authentication.
o Changed the Google calendar plugin to always use secure connection.
o Calendars are automatically reloaded when resuming from suspend. Works only on Windows and Mac though. The resume delay can be changed from the advanced options.
o Added support for global events in Lua scripts.
o Changed scripts to use libcurl when downloading data from the net.

[2.3 Build 58] - 27 Apr 2008
o Weekly recurrence was created incorrectly to Outlook. Fixed.
o Rainlendar didn't adjust the timezone correctly for weekly recurring events. Fixed.
o The monitor thread ran in a busy loop if the location wasn't available. Fixed.
o Exceptions to Outlook appointments were read incorrectly. Fixed.
o Rainlendar can now automatically check for updates on startup (Options->Advanced->Check for updates).
o Added possibility to choose the message folder (i.e. the calendar) where the new Outlook events are stored.
o Outlook folders were not shown in the options. Fixed.

[2.3 Build 57] - 06 Apr 2008
o Added write support for the Outlook plugin. It's now possible to edit Outlook appointments from Rainlendar.
o Fixed a problem with duplicate days on DST change in some timezones.
o Alarms couldn't be dismissed from the menu. Fixed.
o \r is not shown as a square anymore.
o Added an option to show all tasks also in the calendar. This overrides the per-task setting.

[2.3 Build 56] - 25 Mar 2008
o Added option for xml skins to execute the given function on startup/refresh.
o Second parameter for a lua function wasn't parsed correctly. Fixed.
o Improvementes in the scripting support: added possibility to download files and implemented attributes for all items.
o Images can have uniform scaling.
o Added possibility to hide canceled tasks from the todo list.
o Hiding completed/canceled tasks hides them in the calendar too.
o Keyboard navigation changed the months twice in Mac. Fixed.
o Added option to (not to) use window names in the calendar and other windows.
o Newlines in the text caused drawing problems if there was room only for a single line. Fixed.
o Help didn't work in the Mac version. Fixed.
o Changed the way dates are calculated in the calendar. This hopefully fixes the problem with duplicate dates.
o Moving all windows at once to the active skin didn't work in Mac. Fixed.
o Single instance check doesn't prevent the application from starting anymore.

[2.3 Build 55] - 02 Mar 2008
o Ported Rainlendar to Mac OS X.
o Weekend colors didn't work in the ini-format skins. Fixed.
o Ordinal numbers after birthdays/anniversaries can be localized.
o Changes to the Google calendar weren't saved in offline mode. Fixed.
o Alarm didn't work for events which repeated on the last day of the month. Fixed.
o Added Suppress alarms option for all calendars and removed it from the Outlook settings.
o Removed unnecessary window redraw if no new events are added.
o Fixed a crash bug in tooltips when copy transparency was used.
o The debug log can be opened from the context menu. It's only available when running in debug mode though.
o Due date was calculated incorrectly for some weekly recurring tasks. Fixed.
o Show years for birthdays and anniversaries works now with localized categories too.
o Alarms were read incorrectly from Outlook. Fixed.
o New tasks created by double clicking the list header works now correctly with templates.
o Added possibility to change the image's saturation, value, brightness and contrast.
o Variables can be now hidden from the skin options.
o Added "antialias" option to time items to enable/disable antialiasing when rotating bitmaps.
o Added an option to show also the category name in the todo item's tooltip.
o Added support for Chuvash language.
o Rainlendar now asks if you want to create the file if you click a link which points to a non-existing local file.

[2.3 Build 54] - 26 Dec 2007 - Version 2.3
o Localization fixes.
o Custom todo order and snooze didn't work correctly if event or task id had '/'-char. Fixed.
o Fixed keyboard shortcuts for the window selesction.
o Tasks created with QuickAdd have due date only if the string contains one.
o QuickAdd set end date incorrectly. Fixed.
o "Copy To..." didn't save the events permamently. Fixed.
o Added a check to make sure that at least a window or the tray icon is visible.

[2.2 Build 53] - 16 Dec 2007
o Events and tasks are printed in the same order as they are in the Manager.
o It's now possible to move google calendar events to other calendars.
o Old skins do not list non-existing windows anymore.
o Fixed standard tooltips in Windows.
o Changing month from the menu now sets they year correctly'.
o Public and private status is saved to Google Calendar.

[2.2 Build 52] - 09 Dec 2007
o Day distance was calculated incorrectly when DST changed. Fixed.
o Added dontSendContinue option to the network plugin.
o QuickAdd (--add) creates tasks if the string is prefixed with "task" or "todo".
o An error is shown if the downloaded file cannot be parsed.
o Fixed timezone handling in the analog clock.
o It's not allowed to use '/'-character in the calendar, window or template names since it corrupts the ini-files.
o Template saved as "QuickAdd" will be automatically applied to the events and tasks created from command line.

[2.2 Build 51] - 18 Nov 2007
o Event list compared the times in UTC instead of local time. Fixed.
o Added "Copy to" and "Move to" menu items to the Manager.
o Image rotation is now antialiased.

[2.2 Build 50] - 11 Nov 2007
o Fixed a resource leak in the Windows version.
o Snooze and dismiss menu items didn't work in the alarm window. Fixed.
o Printing showed incorrect month in the title when year changed. Fixed.
o Templates didn't work correctly unless the name was lower case. Fixed.
o Scaling images down uses now bicubic resampling (i.e. the result is much better than before).
o Added indentation support for the first line of the multiline texts.
o Fixed skin and language installation on Linux when the user doesn't have privileges.

[2.2 Build 49] - 04 Nov 2007
o Fixed image position problem in the ini format skins.
o Made the scanning of the skins recursive so it doesn't matter anymore how deep the folder structure is.
o Added possibility to customize the todo list according to the task priority.
o Illegal characters are removed from the offline file name.
o The main menu was shown in the event and todo dialogs. Fixed.
o Added native transparency support for Linux.
o Updating a component multiple times causes conflicts in Google calendar. Fixed.

[2.2 Build 48] - 07 Oct 2007
o Added support for exception days in Google calendar.
o Updated wxWidgets library.
o New skin: Chromophore
o Manager dialog crashed on Linux if there were no items. Fixed.
o Some more adjustments to the timezone calculations for weekly recurring Outlook events.

[2.2 Build 47] - 29 Sep 2007
o Some adjustments to the event list headers when items are more than week away from today.
o The event list is shown in correct order again.
o Overwriting a template didn't give a warning. Fixed.
o Information about the deleted calendars is removed from the settings file now too.
o Traytip can be closed again by clicking it.
o Added support for strikethrough text.
o Added "effectcolor" attribute to xml skins which can be used to define the shadow/border effect color.
o Moved variables to a separate list in the skin settings dialog.
o Variables can be defined as a list of strings now too.
o Fixed line endings in the ics files written by Rainlendar.
o Added "hue" to the image elements to change the color.
o Group separators were missing from the todo list. Fixed.
o Some adjustments to the timezone calculations for weekly recurring Outlook events.
o Fixed traytip position if there are multiple rows of icons.

[2.2 Build 46] - 09 Sep 2007
o Local time was intepreted as UTC in the Google plugin. Fixed.
o Added support for templates to event and todo dialogs. Check the manual for details how to use them.
o Dismissing an event hid also the next event from the list. Fixed.
o Added page setup to print dialog.
o Fixed links that were surrounded with parenthesis.
o Added an advanced option to show the name of the calendars in the event and todo lists.
o Support for Mozilla alarms is now optional.
o Creating a new event or task from the tray menu sets the date correctly now.
o Added option to use the default Google alarms. Works only if you don't define any alarm for the event.
o Events added to Google calendar are not deleted from other calendars anymore (you'll get duplicates though).
o Added and option to group the multiday events in the event list.
o Added support for "On Desktop" setting on Linux.
o Fixed a crash bug when multiple network calendars were used at the same time.
o Calendar lists can be now filtered from the window settings by using the "Visible calendars".

[2.2 Build 45] - 04 Aug 2007
o Localization fixes.
o Rainlendar wasn't always able to create the configuration file. Fixed.
o Fixed authentication issues with the Google calendar.
o Removed limit from the string length in the list since it breaks the Outlook links.
o Added support for Sunbird's alarm acknowledge property in the ics files.
o Added -a command line argument which can be used to create events from command line.
o Time item supports free timezone definitions. Use format: "(+/-)HH:MM"  (e.g. "-02:30")
o Added calendar list window to the Shadow4 skin.
o Fixed a problem in the alarm for biweekly events.

[2.2 Build 44] - 20 Jul 2007 - Version 2.2
o Events with same start and end time couldn't be added to Google calendar. Fixed.
o Links didn't work in old skins. Fixed.
o Removed link formatting codes from the items in context menu.
o Added Urgent category to the Shadow4 skin.
o Added a separate snooze button to the alarm window for all items.

[2.1 Build 43] - 17 Jul 2007
o Alarm time was calculated incorrectly for weekly recurring events. Fixed.
o Added support for urls in the lists and tooltip.
o Tooltip can be left open (or kept hidden) by keeping shift key down.
o Added edit links to Outlook events. The links can be hidden from the settings.
o Added "Disable text formatting" advanced option to disable the wiki style formatting and the hotlinks.
o Fixed Outlook notifications with nested calendar folders.
o Added "DST" to <time> item which can be used to disable DST adjustment.
o Added option for safe uploads to the network calendars.
o Fixed a DST problem which caused some months to be shown incorrectly in certain timezones.
o Fixed window snapping in Linux.
o Added option to close the MAPI connection in Outlook plugin so that the message store file isn't locked all the time.
o Added option to poll changes in the Outlook and automatically refresh when events when something happens.

[2.1 Build 42] - 02 Jul 2007
o Added a check to make sure the configuration file is writable.
o Some fixes to the proxy support.
o Windows snap also to the taskbar.
o Added offline calendar support to Google plugin.
o Only 'alert' alarms are read from the Google calendar.
o Fixed DST issue in weekly recurring outlook appointments.
o "Keep on screen" repositioned a window incorrectly if it's dimensions were smaller than the threshold. Fixed.
o ScrollGroup showed tooltips even if they were outside it's area. Fixed.

[2.1 Build 41] - 10 Jun 2007
o Moved proxy settings to Options->Advanced.
o Added proxy support to GooglePlugin.
o Outlook Task priority didn't work. Fixed.
o Added possibility to choose the shown message folders in Outlook plugin.
o Changed the way Google events are created to reduce the possibility of duplicates.
o Snooze times are customizable from the advanced options
o The todo dialog shows only calendars which are capable of storing todo items.
o Task without start and due date was shown on all days in the calendar. Fixed.
o It's now possible to translate the year postfix for birthdays and anniversaries.
o Changed the translation of the event list headers.
o Limited network access in Google plugin to one thread at a time.

[2.1 Build 40] - 20 May 2007
o Fixed a crash bug in Linux when new calendars are added with the wizard.
o Reverted the config folder back to the way it was before since the new system created problems in Vista.
o The name of the calendar is written as "X-WR-CALNAME" to the ics file.
o Removed blank lines from the ics file for better iPod compatibility.
o Fixed a crash bug on Linux network calendar when the offline file didn't exist.
o It is now possible to delete just a single instance of a recurring task.
o The ics files will always use CRLF as end of line mark.

[2.1 Build 39] - 13 May 2007
o New plugin: GooglePlugin
o Fixed alarms in tasks which don't have start time defined.
o Tasks without due time are shown correctly now.
o Unknown dates in the task list are sorted to the end of the list.
o Unknown parameters in iCalendar properties do not stop the parsing anymore.
o Added Tooltip format to the advanced options.
o The default config path is taken from the %APPDATA% environment variable in Windows.
o New todo sort options: by location and by calendar.
o Fixed a crash bug when the recurrence interval was set to 0.

[2.1 Build 38] - 14 Apr 2007 - Version 2.1
o Weekly recurring events were sometimes shown in incorrect day. Fixed.
o Start time for Outlook tasks wasn't read correctly. Fixed.
o Due time was shown incorrectly for Outlook Tasks. Fixed.
o All buttons were missing from ini-format skins. Fixed.

[2.1 Build 37] - 09 Apr 2007
o Time item output can show translated strings.
o Added Text item to the xml-skins.
o All skins have automatically tray icon even if they don't define one.
o Added minsizefromimage attribute to the image item for xml skins.
o Some more changes to the ftp-support in the network shared calendar.
o If the online file gets empty Rainlendar will automatically copy the files from offline file to it.
o Added "Hide upcoming tasks" to the context menu for the todo list.
o Localization fixes.
o Added a skinning tutorial to the manual.

[2.1 Build 36] - 01 Apr 2007
o Network shared calendar didn't work with ftp server if the file was in a subfolder. Fixed.
o Exceptions were sometimes set on incorrect day for Outlook events. Fixed.
o Some changes to the way traytip and tooltips work together.
o Fixed window snapping in On Desktop mode.
o Refresh doesn't reset the snooze times anymore.
o The list of times in the event and todo dialogs were incorrect on DST change. Fixed.
o Removed the error message when the log file cannot be created.
o Event appearance works now also with localized category strings.
o The start date is shown now correctly for recurring tasks.
o Todo list shows tasks always no matter what the start date is.
o Setting a recurring task completed will just move the due date to the next occurrence.
o Adding items to online calendar could create a never ending update loop. Fixed.

[2.1 Build 35] - 18 Mar 2007
o Status and due date were missing in Outlook's tasks. Fixed.
o Changed the snooze and dismiss buttons to icons so that it's not necessary to translate them.
o Added title to all windows.
o Images and buttons can have tooltips.
o EventListHeaderSeparation was handled incorrectly in the old ini-files. Fixed.
o Offline files for network calendars got broken in b34. Fixed.
o The backup path can be changed with a command line argument.
o Reading categories from the skin is now optional (Options->Advanced->Show categories from the skin)
o Fixed scrollbar positioning when items are removed from the lists.
o New option: Options->Advanced->Keep alarm always on top
o Tooltip show delay is now configurable (Options->Advanced->Tooltip show delay).
o Added support for single and right click actions to the tray icon. Note that right clicks will disable the context menu.
o The traytip is shown always inside the screen area.
o Fixed window positioning problem with negative coordinates and the On Desktop feature enabled (still some problems if native transparecy is used though).

[2.1 Build 34] - 03 Mar 2007
o The tray icon is now removed before it is updated.
o More fixes to the weekly recurring events.
o Keeping the windows inside the screen area is now optional (Options->Advanced->KeepOnScreen).
o Advanced options can be now localized.
o &-char wasn't shown correctly in the menus. Fixed.
o Rainlendar backups settings and local calendars automatically on startup.
o Improved the error handling in the restore operation.
o Added an option to import Outlook labels as categories.
o The iCalendar plugin can monitor changes in the file and refresh automatically (Windows only).
o Added delete button to the todo and event dialogs.
o Todo and event dialogs are now visible in the taskbar
o Moved status items out of the sub menu.
o Added read only flag to the calendars. Enabling it ignores all write operations to the calendar.
o If a network calendar is set as read only, removed items from the online calendar are automatically removed from the offline copy too.
o Items are synced to the online calendar only if they were added after the last sync.
o The last modified time was updated only if the changes were made from the edit dialog. Fixed.
o Tasks sorted by priority uses the value instead of the string.
o Added an advanced option to get rid of the delete confirmation dialogs.
o Changed the password encryption so that it doesn't depend on the hardware anymore.
o Duplicate icons can now be combined in the calendar (Options->Advanced->Combine icons in the calendar)
o Added support for Leet-Speak language.
o The network thread is stopped automatically when the calendar is disabled.
o The category list shows also the categories from the skin file.
o Weekly recurring events from Outlook were shown in incorrect day. Fixed.
o Added "Grow upwards" option to the advanced skin options.

[2.1 Build 33] - 10 Feb 2007
o Updated all 3rd party libraries.
o The image resize uses filtering so the scaled windows look better.
o Ordinals (1st, 2nd, ...) can be localized now too.
o Variables can be used in alarm and tooltip window.
o Implemented category and calendar filters for the windows (in advanced skin settings).
o The strings were not shown for events that came from Outlook 2000. Fixed.
o Wordwrap ate one character if the line was wrapped in middle of a word. Fixed.
o It's now possible to use some wiki-style formatting in the texts. See the help for details.
o Copy transparency doesn't update the background unless it's really necessary.
o The todo list has now secondary sorting order.
o It is possible to use custom sorting order with the todo list. You can then just drag the items to whatever order you like.
o Completed property is stored as date-time (as defined in RFC2445) instead of just a date.
o Added "Show in calendar" check box to the todo dialog which will show the task in the calendar.
o Changed the ftp upload so that the old file is deleted before the uploaded is renamed.
o Vertical and horizontal calendar layout showed incorrect weekdays. Fixed.
o Fixed an offset problem with tooltips and double clicks in vertical and horizontal calendars.
o Setting an offset to the weeknumbers caused some of the numbers not drawn. Fixed.
o Weekly recurring events were set on incorrect day on some timezones. Fixed.
o BYMONTHDAY and BYMONTH are added to iCalendar files for yearly recurring events.
o Fixed a bug in the Outlook plugin which caused a crash if the MAPI login failed.
o Multiple exceptions in an Outlook appointment were not handled correctly. Fixed.
o Added a check to the network calendar so that it won't try to upload the calendar if the download failed.
o Implemented a new error message dialog which can combine error messages.
o New command line arguments: "-I" will import an ics-file and "-e" will execute a function in a script.
o Manager didn't show alarms for the todo items. Fixed.
o The X-Properties Rainlendar writes follow the RFC 2445 more closely now.

[2.0.2 Build 32] - 1 Jan 2007 - Version 2.0.2
o Tooltip window didn't accept any mouse input. Fixed.
o Fixed text margins in the tooltips in the legacy skins.
o Function keys didn't work as hotkeys. Fixed.
o Added '/', '.' and '-' characters to the white bitmap font in the Shadow4 skin.
o Added skinning instructions to the help.

[2.0.1 Build 31] - 22 Dec 2006
o Strings with border effect were clipped. Fixed.
o Some legacy skins didn't show the today item. Fixed.
o When editing an event the alarm dismiss is reset only if there are some changes to the alarm values.
o The until date in recurrence is automatically moved if it is before the start/due date.
o The repeat day was set incorrectly in the ics-file if a weekly recurring event's start time was moved to another day because of timezone adjustment.
o All day events that were set on the start day of the DST spanned on two days. Fixed.
o Implemented a new time format parser.
o Some fixes to WeekNumberDelta feature so that it doesn't show negative/too large values.
o Alt+F4 crashed the application. Fixed.
o Added DisableShortcuts advanced options to disable all keyboard shortcuts (does not affect hotkeys).
o Added support for Asturian language.
o Fixed event list images in some of the legacy skins.

[2.0.1 Build 30] - 10 Dec 2006
o Alarm sound set for an event was not played. Fixed.
o Added "Keep offline copy" option to network calendar.
o Fixed a hang when a recurring task was set to completed.
o Pre and post days were shown always in the Dec-Jan. Fixed.
o The Private-checkbox didn't work. Fixed.
o Tooltips shouldn't pop up anymore if the menu is open.
o Improvements to the legacy skin support.

[2.0.1 Build 29] - 03 Dec 2006
o EventListShowComingEvents didn't work from the advanced settings. Fixed.
o Removed Cleartype related code as it didn't work very well.
o Importing ics files which doesn't contain UIDs works now.
o Improved compatibility of the exported ics files.
o Remove button caused crash if no calendars were selected. Fixed.
o Added EventListAgeFromStartOfWeek to advanced options which defines how the weeks are shown in the event list header.

[2.0.1 Build 28] - 26 Nov 2006 - Version 2.0.1
o Fixed a threading issue in the network calendar.
o Added support for Bosnian language.
o Events defined as localtime in the ics-file were interpreted as UTC. Fixed.
o Ctrl+A works now in Manager.
o Weekdays were displayed incorrectly in vertical and horizontal calendars. Fixed.
o Added keypad and scroll & num locks to hotkey support.
o The tray tooltip is shown correctly even if the tray is outside the screen.
o Adding exceptions (i.e. deleting) recurring events from event list didn't work. Fixed.
o Windows: Disabled Cleartype from Rainlendar's windows.
o Event profiles in imported ini-files are converted to match the categories.

[2.0 Build 27] - 18 Nov 2006
o Fixed a hang in the alarm calculation function.
o Added padding for all items in the todo list.
o Disabled all exceptions from the DST calculations.
o Replaced the Long Calendar with Vertical Calendar.
o Moving the mouse over the tray doesn't create a crash anymore if the tooltip is not defined.
o List of skin window variables is sorted now.
o Added a tooltip to the tray icon so it can be made always visible now.
o The events should be now always in cronological order in the event list.
o The duration is kept when the start time is changed in the event dialog.
o Added AlarmDefaultSnoozeTime to the advanced options.
o Removed AdjustDaylightSavingTime. The framework does the same automatically so this feature adjusted the time incorrectly.
o Some more changes to the DST calculations.
o Manager preserves the sort order after the items are refreshed.
o NetworkPlugin doesn't create the thread unless the calendar is enabled.
o Items in the Manager didn't have all fields localized. Fixed.
o The timezone in clock can be defined with numbers too (e.g. -10 or +5).
o "Add years to birthdays and anniversaries" option works now also for visual categories.

[2.0 Build 26] - 05 Nov 2006
o Fixed the Brazilian skin in the Shadow4 skin addon.
o Due date in the todo list uses the user defined format now.
o '%'-char got sometimes replaced with 37 in TimeFormat or DateFormat. Fixed.
o Fixed a crash when sorting the columns in manager.
o Fixed a crash when tray icon was removed from the skin.
o Start and end times were sometimes automatically changed when editing the event. Fixed.
o The ics-files can be now stored to a folder with non-ascii characters.
o Cancelling the import doesn't show error anymore.
o Legacy skins with foreign characters in the ini-file are not ignored anymore.
o Improved legacy skin support.
o Fixed few DST issues.
o Manager now displays the dates in the user defined format.
o DefaultAlarmFile is defined now with a relative path.
o Todo item priorities were shown incorrectly. Fixed.
o Rainlendar_ShowWindow() doesn't show the window if it's smartly hidden.
o Fixed a crash bug when dialogs were opened from a hotkey.
o Alarm set to 0 minutes will stay so also when the event/todo is edited.
o The languages should now work in Linux version too.
o The end date in managed was one day too far. Fixed.
o Some fixes to the window positioning in multimonitor environment with On Desktop setting.

[2.0 Build 25] - 26 Oct 2006 - Version 2.0 Final
o Moved the focus away from the weekday field in the options dialog.
o Alarm time is shown as days if the time can be divided with 1440 mins.
o The list in Manager dialog preserves the selection after an event has been edited.
o Alarm time was shown incorrectly in the manager. Fixed.
o Outlook can now import the files exported from Rainlendar.
o Editing an event or task will reset the alarm (i.e. it will pop up again).
o Snoozing alarms from context menu didn't work. Fixed.
o Added Window menu which can be used to hide and show the windows.
o Moved the "Unknown" header to the end of the list when todo list is sorted by due or start date.
o EventListHideDismissed hid also the future events from the event list. Fixed.
o Dropping license files onto the calendar didn't work. Fixed.
o Fixed backups with event files on relative paths and a crash in restore.
o The time in the event and todo dialogs is taken from the combo box selection instead of parsed from the string.

[2.0 Build 24] - 13 Oct 2006
o Added DST adjustment when the dates are read from ics-file. This can be disabled from the advanced settings (AdjustDaylightSavingTime).
o Fixed a crash bug when something was drawn outside the window area.
o Improved legacy skin support.
o Fixed a crash bug in Outlook plugin when there were no MAPI libraries available.
o The time was one hour off in certain time zones. Fixed.
o Created an installer for Windows.
o The ics-file paths are relative to the config folder.
o Added variables for the event and todo list widths in the legacy skins.
o Windows are no longer opened outside the screen area.

[2.0 Build 23] - 29 Sep 2006
o Multiple network calendars sometimes failed to authenticate. Fixed.
o Importing the old ini-files sometimes hanged the application. Fixed.
o The Outlook plugin doesn't use Unicode anymore to make it compatible with older Outlook versions.
o Dates before 1970 should work better now.
o The Linux version doesn't complain about stale lock files anymore.
o Skin addons can merge file contents.
o Cleaned up the log from unnecessary errors and warnings.
o Added a simple crash recovery. If a refresh crashes the application you have an option to switch to default values.
o The network plugin tries to download the data until it gets connection.
o Added TooltipTodoItems advanced option which can be used to define what the tooltip for todo items contains.
o More customization options (%HS and %HE) to the event list headers.
o Fixed a crash bug with the tray icon.
o Fixed a crash bug with some ics files.
o The Outlook plugin didn't read all the items. Fixed.
o Added "abbreviate" as the weekdays element's attribute. Values: 0=Full day names, 1=Abbreviations, 2=First letter only.
o Dropping the old ini-files on the calendar to import them works now too.
o Added a year calendar and a simple digital clock window to the default skin.

[2.0 Build 22] - 17 Sep 2006
o Fixed few strings for better localization.
o Imported events from a ini-file didn't set the end date for recurrence correctly. Fixed.
o Added checks to the new calendar wizard that network files are not used as the file name.
o Linux: The correct executable path should be found now even if the application was started from a symbolic link.
o Added TimeFormat and DateFormat to advanced options.
o Date and time formats are taken from the locale on Windows. On Linux you need to manually override them.
o Zero years "(0)" is not added to birthdays and anniversaries anymore.
o Moved the default position of the windows upwards.
o Months can be changed with the wheel also over the month.
o Added time format codes to the help.
o Added possibility to lock the windows in place.
o The user is notified if a new birthday or anniversary event is created which has no recurrence.
o Added %D to the EventListHeaderFormat.
o The icons were not drawn correctly if they were on multiple rows. Fixed.
o The Outlook plugin doesn't scan subfolders anymore unless they are under a calendar or task folder.
o Added support for drag'n'dropping. You can install skins, languages, license file and import ics-files by dropping them over one of the windows.
o Added bullets to the todo-list.
o Added "ignoredefault" to the skins category definitions which can be used to ignore the default event appearance for the category.
o Linux: The lock file is stored in the config folder instead of the user's home folder.
o If the ~/.config folder exists Rainlendar will store its settings to there.
o Added FontScale to advanced options which can be used to change the font sizes in the windows.
o Linux: Fixed a crash bug with the tray icon.
o If the user removes all active windows from the advanced skin options, the default windows are used automatically.
o Calendars-submenu didn't work from the tray icon. Fixed.
o The skins can have addons (e.g. language packs) which are merged with the original skin.
o Added SkinLanguage to the advanced options.

[2.0 Build 21] - 02 Sep 2006
o Moving event from one calendar to another should work now.
o New windows are opened in the middle of the screen.
o Double click on the tray can run hotkey scripts.
o Fixed Hotkey_Toggle_Windows
o Network Shared Calendar can download files even if the server redirects it so some other location.
o Fixed a crash on exit if help was open.
o The alarm has a sound now.
o Added few advanced settings for alarm (as it was using the EventList's before)
o Added descriptions to the skin's variables and they are now shown in the options dialog.

[2.0 Build 20] - 20 Aug 2006
o Fixed the support for subfolders in the Outlook plugin.
o New icons for the options dialog from http://dieselx.de
o Added "Get more languages..." link (it's not working yet though).
o Fixed drawing of list items if it had were multiple icons.
o Show today's events in tray option didn't work. Fixed.
o Appearance wasn't applied properly to todo list items if the status was set.
o The hyperlinks in Options dialog are visible now in Linux too.

[2.0 Build 19] - 15 Aug 2006
o Deleting multiple items from manager is faster now.
o The scroll bar is adjusted correctly when the contents change.
o Removed interaction feature from buttons since it didn't work as it was supposed to. Buttons can be used as a workaround.
o Added dblcklaction to buttons.
o Removed "Copy To" option. Will be added again once I have time to implement it properly.
o Controls in recurrence tab weren't always enabled when they should. Fixed.
o Added showpostexdays and showpreexdays for <exdays>. The visible="2" and visible="3" don't work anymore.
o Changed the way item appearances are defined.
o Day change is handled better.
o Fixed the alarm context menu.

[2.0 Build 18] - 06 Aug 2006
o Fixed visual category option.
o Improved the linked windows feature (i.e. windows will move vertically when the heights change).
o Button states are reset when mouse moves outside the window.
o Fixed a problem with invisible events if the event was in the negative side of UTC.
o Shadow4: The event list is now inside a scroll group too.
o Shadow4: Added variables for todo and event list height and width.
o Fixed the thumb in the scrollgroup.
o It was possible to scroll a scrollgroup with wheel even if it was fully shown already. Fixed.
o Changing months with the mouse wheel updates all windows.
o Added WeekNumberDelta to advanced settings.
o Improved event profile support in legacy skins.
o Fixed vertical and horizontal calendars.
o Multiple instances cannot be started unless you use "-m" command line argument.
o Traytip is now reshown if it was hidden during redraw.
o The calendar is updated when the system date changes.

[2.0 Build 17] - 30 Jul 2006
o Added "Visible_month"-variable to old Rainlendar skins.
o The contents of scroll group was drawn twice. Fixed.
o New try: The tooltip shouldn't go under the windows anymore on Linux.
o The tooltip is hidden when the window is redrawn. This hopefully prevents the random crashing.
o Keyboard accelerators work in Linux now too.
o Changing months is faster now with copy transparency since the background is not updated anymore.
o Added help button to the options dialog.
o Background is copied properly with smart windows.
o Moved drawing to erase function to reduce flickering with copy transparency.
o The log file is saved to the config folder by default.
o Added command line arguments for the log and config paths.
o The manager window doesn't stay below the calendar anymore.
o Event appearance is now skin dependent.
o Added separators for event and todo lists.

[2.0 Build 16] - 18 Jul 2006
o Implemented a custom ini-file parser for the old Rainlendar files.
o It's now possible to add also the same window to the active skin.
o Implemented skin window specific settings dialog.
o Added shortcut keys for the calendars.
o Added "opacity" to Bitmap and BitmapFont.
o Fixed ShrinkToFit with empty contents in ScrollGroups.
o Window's z-position sticks after move on Linux too.
o Created a wizard for new calendars.
o Added UI for the skin window dependent settings.
o The tooltip shouldn't go under the windows anymore.
o Improved copy transparency on Linux.

[2.0 Build 15] - 11 Jun 2006
o Status for the todo items was not saved if changed from the menu. Fixed.
o Fixed a crash bug in Outlook plugin when there were no mapi libraries available.
o Texts that were not encoded as utf-8 were not displayed at all. Fixed.
o Fixed alpha blit function.
o Tooltip in legacy skins caused crashing. Fixed.
o Improved support for legacy skins.
o Fixed smart windows with copy transparency.
o Double click outside the event/todo list items opens the edit dialog.
o Full menus can be shown always by holding shift key down.
o Tooltips can be disabled with "ShowTooltips"-option.
o Added "Suppress Errors" to network shared calendar plugin.
o The proxy settings were not saved to the config file. Fixed.
o Fixed a crash bug when buttons were used inside a list.
o Fixed the position of separators in the tooltips.
o The categories are now listed in a combobox for the calendar's visual category.
o Weeknumbers are not shown for empty rows anymore.
o Fixed weekly repeating events.
o Add years to birthdays and anniversaries setting wasn't saved to the config. Fixed.

[2.0 Build 14] - 04 Jun 2006
o The texts in the recurrence checkboxes did not work. Fixed.
o Added a Calendar submenu which can be used to enable/disable the calendars.
o Flipped the sorting order of todo items when they are sorted by priority.
o Linux: The libuuid is linked statically.
o Linux: Added support for "On Bottom" and fixed the "On Top".
o Linux: The windows are not shown in the taskbar anymore.
o Linux: The windows are shown in all workspaces.
o Linux: The old Rainlendar skins weren't listed in the skin options. Fixed.
o Fixed the version numbers in the plugins.
o Added new option "FullMenus" which defines if windows always have full menus or smaller context menus.
o Windows were not always hidden even though there were no items in them. Fixed.
o Windows were snapped also to hidden windows. Fixed.
o Added Status-menu for todo items.
O File installation should work with short names too.
o Improved Ini-format import support.
o Tooltips work now also in items inside groups.

[2.0 Build 13] - 26 May 2006
o Initial beta version
